drop package cw_assessments_package;

----------------------------------------------------  
create or replace package cw_assessments_package is  
----------------------------------------------------  
procedure main;  
procedure showFrame (xitem in varchar2, xmode in varchar2);  
procedure vitalSigns;  
procedure history;  
procedure generalImpression;  
procedure physicalExam;  
procedure Plan;  

end;  
/
show errors;
-- /

---------------------------------------------------------  
create or replace package body cw_assessments_package is  
---------------------------------------------------------  

procedure main is
begin  

   htp.htmlOpen; 
--   htp.formOpen('/cgi-bin/jguo/wow/cw_assessments_package.showFrame', 'POST', 'target="right"');
  --htp.p('<form action="/cgi-bin/jguo/wow/cw_assessments_package.showFrame", method="POST", target="right">');
   htp.p('<form action="/owa_careweb/owa/cw_assessments_package.showFrame", method="POST", target="right">');
   htp.bold('Show Iems');
   htp.br;
   htp.formCheckbox('xitem', 'Vital Signs', 'CHECKED');
   htp.p('Vital Signs');
   htp.br;
   htp.formCheckbox('xitem', 'History');
   htp.p('History'); 
   htp.br;
   htp.formCheckbox('xitem', 'General Impression');
   htp.p('General Impression'); 
   htp.br;
   htp.formCheckbox('xitem', 'Physical Examination');
   htp.p('Physical Examination'); 
   htp.br;
   htp.formCheckbox('xitem', 'Plan');
   htp.p('Plan');
   htp.br;
--   htp.formCheckbox('xitem', 'All of Above');
--   htp.p('All of Above'); 
--   htp.br;
   htp.para;
   htp.bold('Show Mode');
   htp.br;
   htp.formRadio('xmode', 'Sequential', 'CHECKED');
   htp.p('Sequential'); 
   htp.br;
   htp.formRadio('xmode', 'Multi-frames');
   htp.p('Multi-frames'); 
   htp.br;

   htp.formSubmit('showFrame', 'Show');
   htp.formReset('Reset');
   htp.br;

   htp.htmlClose;  
end;  

procedure showFrame (xitem in varchar2, xmode in varchar2) is  
begin  
   if (xitem like '%Vital Signs%') then
     vitalSigns;
   end if;
   if (xitem like '%History%') then
     history;
   end if;
   if (xitem like '%General Impression%') then
     generalImpression;
   end if;
   if (xitem like '%Physical Examination%') then
     physicalExam;
   end if;
   if (xitem like '%Plan%') then
     plan;
   end if;
end;  

procedure vitalSigns is  
begin  
   htp.htmlOpen; 
   htp.formOpen('dummy', 'POST');
   htp.header(2, 'Vital Signs');
   htp.tableOpen;
   htp.tableRowOpen;
   htp.tableHeader('Heart Rate');
   htp.tableData(htf.formText('', '20', '20', ''));
   htp.tableRowClose;
   htp.tableRowOpen;
   htp.tableHeader('Respiratory Rate');
   htp.tableData(htf.formText('', '20', '20', ''));
   htp.tableRowClose;
   htp.tableRowOpen;
   htp.tableHeader('Temperature');
   htp.tableData(htf.formText('', '20', '20', ''));
   htp.tableRowClose;
   htp.tableClose;
   htp.formClose;
   htp.htmlClose;  

end;  

procedure history is  
begin  
   htp.htmlOpen; 
   htp.formOpen('dummy', 'POST');
   htp.header(2, 'History');

   htp.listItem('');
   htp.bold('Onset:');
   htp.formRadio('onset', 'Gradual');
   htp.p('Gradual');
   htp.formRadio('onset', 'Sudden');
   htp.p('Sudden');

   htp.listItem('');
   htp.bold('Duration:');
   htp.formSelectOpen('duration', '', 1);
   htp.formSelectOption('-----------', 'SELECTED');
   htp.formSelectOption('24 hours', '');
   htp.formSelectOption('24-48 hours', '');
   htp.formSelectOption('3-7 days', '');
   htp.formSelectOption('>7 days', '');
   htp.formSelectClose;

   htp.listItem('');
   htp.bold('Related symtoms:');
   htp.br;

   htp.tableOpen(1,'top','NOWRAP','','');
   htp.tableRowOpen('center','center','','NOWRAP','');
   htp.p('<td>');
   htp.bold('Fever');
   htp.p('</td>');
   htp.p('<td>');
   htp.formSelectOpen('fever', '', 1);
   htp.formSelectOption('---', '');
   htp.formSelectOption('Yes', '');
   htp.formSelectOption('No', '');
   htp.formSelectClose;
   htp.p('</td>');
   htp.p('<td>');
   htp.bold('Rash');
   htp.p('</td>');
   htp.p('<td>');
   htp.formSelectOpen('rash', '', 1);
   htp.formSelectOption('---', '');
   htp.formSelectOption('Yes', '');
   htp.formSelectOption('No', '');
   htp.formSelectClose;
   htp.tableRowClose;
   htp.tableRowOpen('center','center','','NOWRAP','');
   htp.p('</td>');
   htp.p('<td>');
   htp.bold('Cough');
   htp.p('</td>');
   htp.p('<td>');
   htp.formSelectOpen('cough', '', 1);
   htp.formSelectOption('---', '');
   htp.formSelectOption('Yes', '');
   htp.formSelectOption('No', '');
   htp.formSelectClose;
   htp.p('</td>');
   htp.p('<td>');
   htp.bold('Rhinorrhea');
   htp.p('</td>');
   htp.p('<td>');
   htp.formSelectOpen('rhinorrhea', '', 1);
   htp.formSelectOption('---', '');
   htp.formSelectOption('Yes', '');
   htp.formSelectOption('No', '');
   htp.formSelectClose;
   htp.p('</td>');
   htp.tableRowClose;
   htp.tableRowOpen('center','center','','NOWRAP','');
   htp.p('<td>');
   htp.bold('Hoarseness');
   htp.p('</td>');
   htp.p('<td>');
   htp.formSelectOpen('hoarseness', '', 1);
   htp.formSelectOption('---', '');
   htp.formSelectOption('Yes', '');
   htp.formSelectOption('No', '');
   htp.formSelectClose;
   htp.p('</td>');
   htp.p('<td>');
   htp.bold('Difficulty swallowing');
   htp.p('</td>');
   htp.p('<td>');
   htp.formSelectOpen('difficultySwallowing', '', 1);
   htp.formSelectOption('---', '');
   htp.formSelectOption('Yes', '');
   htp.formSelectOption('No', '');
   htp.formSelectClose;
   htp.p('</td>');
   htp.tableRowClose;
   htp.tableRowOpen('center','center','','NOWRAP','');
   htp.p('<td>');
   htp.bold('Difficulty Breathing');
   htp.p('</td>');
   htp.p('<td>');
   htp.formSelectOpen('difficultyBreathing', '', 1);
   htp.formSelectOption('---', '');
   htp.formSelectOption('Yes', '');
   htp.formSelectOption('No', '');
   htp.formSelectClose;
   htp.p('</td>');
   htp.p('<td>');
   htp.bold('Abdominal pain/nausea/vomiting');
   htp.p('</td>');
   htp.p('<td>');
   htp.formSelectOpen('abdominalPain/nausea/vomiting', '', 1);
   htp.formSelectOption('---', '');
   htp.formSelectOption('Yes', '');
   htp.formSelectOption('No', '');
   htp.formSelectClose;
   htp.p('</td>');
   htp.tableRowClose;
   htp.tableClose;
   htp.br;
   htp.bold('Other: ');
   htp.br;
   htp.formTextarea('other', '3', '80', '');  

   htp.listItem('');
   htp.bold('Exposure to others with sore throat or known GABHS pharyngitis:');
   htp.br;
   htp.formRadio('exposure', 'Yes');
   htp.p('Yes');
   htp.formRadio('exposure', 'No');
   htp.p('No');
   htp.br;
   htp.bold('How treated (at home): ');
   htp.formSelectOpen('homeTreat', '', 1);
   htp.formSelectOption('------------------', '', 1);
   htp.formSelectOption('Tylenol', '');
   htp.formSelectOption('Fluids', '');
   htp.formSelectOption('Throat lozenges', '');
   htp.formSelectClose;
   htp.br;
   htp.bold('Has home treatment helped: ');
   htp.formRadio('effective', 'Yes');
   htp.p('Yes');
   htp.formRadio('effective', 'No');
   htp.p('No');

   htp.formClose;
   htp.htmlClose;  

end;  

procedure generalImpression is  
begin  
   htp.htmlOpen; 
   htp.formOpen('dummy', 'POST');
   htp.header(2, 'General Impression');

   htp.tableOpen(1,'top','NOWRAP','','');
   htp.tableRowOpen('left','center','','NOWRAP','');
   htp.tableHeader('Attention Level');
   htp.p('<td>');
   htp.formRadio('alert', 'alert');
   htp.p('Alert');
   htp.p('</td>');
   htp.p('<td>');
   htp.formRadio('alert', 'listless');
   htp.p('Listless');
   htp.p('</td>');
   htp.tableRowClose;   
   htp.tableRowOpen('left','center','','NOWRAP','');
   htp.tableHeader('Activity Level');
   htp.p('<td>');
   htp.formRadio('active', 'active');
   htp.p('Active');
   htp.p('</td>');
   htp.p('<td>');
   htp.formRadio('active', 'lethargic');
   htp.p('lethargic');
   htp.p('</td>');
   htp.tableRowClose;   
   htp.tableRowOpen('left','center','','NOWRAP','');
   htp.tableHeader('Distress');
   htp.p('<td>');
   htp.formRadio('inDistress', 'In distress');
   htp.p('In distress');
   htp.p('</td>');
   htp.p('<td>');
   htp.formRadio('inDistress', 'No apparent distress');
   htp.p('No apparent distress');
   htp.p('</td>');
   htp.tableRowClose;   
   htp.tableRowOpen('left','center','','NOWRAP','');
   htp.tableHeader('Toxic (sick looking)');
   htp.p('<td>');
   htp.formRadio('toxic', 'toxic');
   htp.p('Yes');
   htp.p('</td>');
   htp.p('<td>');
   htp.formRadio('toxic', 'not toxic');
   htp.p('No');
   htp.p('</td>');
   htp.tableRowClose;   
   htp.tableClose;   
   
   htp.formClose;
   htp.htmlClose;  

end;  

procedure physicalExam is  
begin  
   htp.htmlOpen; 
   htp.formOpen('dummy', 'POST');

   htp.header(2, 'Physical Exam');
   htp.bold('Eyes (Drainage) ');
   htp.formRadio('drainage', 'Yes');
   htp.p('Yes');
   htp.formRadio('drainage', 'No');
   htp.p('No');
   htp.tableOpen(1,'top','NOWRAP','','');
   htp.tableRowOpen('center','center','','NOWRAP','');
   htp.tableHeader('Amount');
   htp.tableHeader('Color');
   htp.tableHeader('Consistency');
   htp.tableRowClose;
   htp.tableRowOpen('center','center','','NOWRAP','');
   htp.p('<td>');
   htp.formSelectOpen('', '', 1);
   htp.formSelectOption('--------', '');
   htp.formSelectOption('Copious', '');
   htp.formSelectOption('Large', '');
   htp.formSelectOption('Moderate', '');
   htp.formSelectOption('Small', '');
   htp.formSelectOption('Minimal', '');
   htp.formSelectClose;
   htp.p('</td>');
   htp.p('<td>');
   htp.formSelectOpen('', '', 1);
   htp.formSelectOption('-----------', '');
   htp.formSelectOption('Clear', '');
   htp.formSelectOption('yellow/Green', '');
   htp.formSelectOption('White', '');
   htp.formSelectClose;
   htp.p('</td>');
   htp.p('<td>');
   htp.formSelectOpen('', '', 1);
   htp.formSelectOption('--------', '');
   htp.formSelectOption('Thin', '');
   htp.formSelectOption('Think', '');
   htp.formSelectClose;
   htp.p('</td>');
   htp.tableRowClose;
   htp.tableClose;

   htp.header(3, 'Ears: ');
   htp.listItem('');
   htp.bold('External Canal: ');
   htp.formRadio('ExternalCanal', 'Yes');
   htp.p('Yes');
   htp.formRadio('ExternalCanal', 'No');
   htp.p('Yes');
   htp.listItem('');
   htp.bold('Tympanic Membrane ');
   htp.tableOpen(1,'top','NOWRAP','','');
   htp.tableRowOpen('center','center','','NOWRAP','');
   htp.p('<td>');
   htp.bold('Color');
   htp.p('</td>');
   htp.p('<td>');
   htp.formSelectOpen('', '', 1);
   htp.formSelectOption('-----', '');
   htp.formSelectOption('Green', '');
   htp.formSelectOption('Pink', '');
   htp.formSelectOption('Red', '');
   htp.formSelectClose;
   htp.p('</td>');
   htp.p('<td>');
   htp.bold('Translucency');
   htp.p('</td>');
   htp.p('<td>');
   htp.formSelectOpen('', '', 1);
   htp.formSelectOption('--------------', '');
   htp.formSelectOption('Landmarks Seen', '');
   htp.formSelectOption('Opaque', '');
   htp.formSelectClose;
   htp.tableRowClose;
   htp.tableRowOpen('center','center','','NOWRAP','');
   htp.p('</td>');
   htp.p('<td>');
   htp.bold('Light Reflection');
   htp.p('</td>');
   htp.p('<td>');
   htp.formSelectOpen('', '', 1);
   htp.formSelectOption('-------', '');
   htp.formSelectOption('Present', '');
   htp.formSelectOption('Diffuse', '');
   htp.formSelectOption('Absent', '');
   htp.formSelectClose;
   htp.p('</td>');
   htp.p('<td>');
   htp.bold('Fluid Visualized');
   htp.p('</td>');
   htp.p('<td>');
   htp.formSelectOpen('', '', 1);
   htp.formSelectOption('---', '');
   htp.formSelectOption('Yes', '');
   htp.formSelectOption('No', '');
   htp.formSelectClose;
   htp.p('</td>');
   htp.tableRowClose;
   htp.tableRowOpen('center','center','','NOWRAP','');
   htp.p('<td>');
   htp.bold('Retracted');
   htp.p('</td>');
   htp.p('<td>');
   htp.formSelectOpen('', '', 1);
   htp.formSelectOption('---', '');
   htp.formSelectOption('Yes', '');
   htp.formSelectOption('No', '');
   htp.formSelectClose;
   htp.p('</td>');
   htp.p('<td>');
   htp.bold('Mobility');
   htp.p('</td>');
   htp.p('<td>');
   htp.formSelectOpen('', '', 1);
   htp.formSelectOption('----------', '');
   htp.formSelectOption('Yes', '');
   htp.formSelectOption('No', '');
   htp.formSelectOption('Diminished', '');
   htp.formSelectClose;
   htp.p('</td>');
   htp.tableRowClose;
   htp.tableRowOpen('center','center','','NOWRAP','');
   htp.p('<td colspan=2>');
   htp.bold('Tympanometer Findings');
   htp.p('</td>');
   htp.p('<td colspan=2>');
   htp.formSelectOpen('difficultyBreathing', '', 1);
   htp.formSelectOption('------', '');
   htp.formSelectOption('Type A', '');
   htp.formSelectOption('Type B', '');
   htp.formSelectOption('Type C', '');
   htp.formSelectClose;
   htp.p('</td>');
   htp.tableRowClose;
   htp.tableClose;

   htp.header(3, 'Nose (Rhinorrhea):');
   htp.listItem('');
   htp.bold('link to image/video');
   htp.tableOpen(1,'top','NOWRAP','','');
   htp.tableRowOpen('center','center','','NOWRAP','');
   htp.tableHeader('Amount');
   htp.tableHeader('Color');
   htp.tableHeader('Consistency');
   htp.tableRowClose;
   htp.tableRowOpen('center','center','','NOWRAP','');
   htp.p('<td>');
   htp.formSelectOpen('', '', 1);
   htp.formSelectOption('--------', '');
   htp.formSelectOption('Copious', '');
   htp.formSelectOption('Large', '');
   htp.formSelectOption('Moderate', '');
   htp.formSelectOption('Small', '');
   htp.formSelectOption('Minimal', '');
   htp.formSelectClose;
   htp.p('</td>');
   htp.p('<td>');
   htp.formSelectOpen('', '', 1);
   htp.formSelectOption('-----------', '');
   htp.formSelectOption('Clear', '');
   htp.formSelectOption('yellow/Green', '');
   htp.formSelectOption('White', '');
   htp.formSelectClose;
   htp.p('</td>');
   htp.p('<td>');
   htp.formSelectOpen('', '', 1);
   htp.formSelectOption('--------', '');
   htp.formSelectOption('Thin', '');
   htp.formSelectOption('Think', '');
   htp.formSelectClose;
   htp.p('</td>');
   htp.tableRowClose;
   htp.tableClose;

   htp.header(3, 'Mouth: ');
   htp.formCheckbox('','Ulcers','','');
   htp.p('Ulcers');
   htp.formCheckbox('','Vesicles','','');
   htp.p('Vesicles');
   htp.formCheckbox('','Palatal Petechiae','','');
   htp.p('Palatal Petechiae');

   htp.header(3, 'Throat: ');
   htp.tableOpen(1,'top','NOWRAP','','');
   htp.tableRowOpen('center','center','','NOWRAP','');
   htp.p('<td>');
   htp.bold('Color');
   htp.p('</td>');
   htp.p('<td>');
   htp.formSelectOpen('', '', 1);
   htp.formSelectOption('----', '');
   htp.formSelectOption('Pink', '');
   htp.formSelectOption('Red', '');
   htp.formSelectClose;
   htp.p('</td>');
   htp.p('<td>');
   htp.bold('Tonsil Size');
   htp.p('</td>');
   htp.p('<td>');
   htp.formSelectOpen('', '', 1);
   htp.formSelectOption('--', '');
   htp.formSelectOption('2+', '');
   htp.formSelectOption('3+', '');
   htp.formSelectOption('4+', '');
   htp.formSelectClose;
   htp.tableRowClose;
   htp.tableRowOpen('center','center','','NOWRAP','');
   htp.p('</td>');
   htp.p('<td>');
   htp.bold('Tonsil Symmetrical');
   htp.p('</td>');
   htp.p('<td>');
   htp.formSelectOpen('', '', 1);
   htp.formSelectOption('---', '');
   htp.formSelectOption('Yes', '');
   htp.formSelectOption('No', '');
   htp.formSelectClose;
   htp.p('</td>');
   htp.p('<td>');
   htp.bold('Uvula');
   htp.p('</td>');
   htp.p('<td>');
   htp.formSelectOpen('', '', 1);
   htp.formSelectOption('---------', '');
   htp.formSelectOption('Midline', '');
   htp.formSelectOption('Displaced', '');
   htp.formSelectClose;
   htp.p('</td>');
   htp.tableRowClose;
   htp.tableRowOpen('center','center','','NOWRAP','');
   htp.p('<td>');
   htp.bold('Postnasal Discharge');
   htp.p('</td>');
   htp.p('<td>');
   htp.formSelectOpen('', '', 1);
   htp.formSelectOption('---', '');
   htp.formSelectOption('Yes', '');
   htp.formSelectOption('No', '');
   htp.formSelectClose;
   htp.p('</td>');
   htp.p('<td>');
   htp.bold('Ulcers or Vescles');
   htp.p('</td>');
   htp.p('<td>');
   htp.formSelectOpen('', '', 1);
   htp.formSelectOption('----------', '');
   htp.formSelectOption('Yes', '');
   htp.formSelectOption('No', '');
   htp.formSelectOption('Diminished', '');
   htp.formSelectClose;
   htp.p('</td>');
   htp.tableRowClose;
   htp.tableClose;
   htp.bold('Exudare: ');
   htp.formRadio('Yes', '');
   htp.formRadio('No', '');
   htp.tableOpen(1,'top','NOWRAP','','');
   htp.tableRowOpen('center','center','','NOWRAP','');
   htp.p('<td>');
   htp.bold('Amount');
   htp.p('</td>');
   htp.p('<td>');
   htp.formSelectOpen('', '', 1);
   htp.formSelectOption('--------', '');
   htp.formSelectOption('Copious', '');
   htp.formSelectOption('Large', '');
   htp.formSelectOption('Moderate', '');
   htp.formSelectOption('Small', '');
   htp.formSelectOption('Minimal', '');
   htp.formSelectClose;
   htp.p('</td>');
   htp.p('<td>');
   htp.bold('Color');
   htp.p('</td>');
   htp.p('<td>');
   htp.formSelectOpen('', '', 1);
   htp.formSelectOption('-----------', '');
   htp.formSelectOption('Grey', '');
   htp.formSelectOption('yellow/Green', '');
   htp.formSelectOption('White', '');
   htp.formSelectClose;
   htp.p('</td>');
   htp.tableRowClose;
   htp.tableClose;
 
   htp.header(3, 'Neck: ');
   htp.tableOpen(1,'top','NOWRAP','','');
   htp.tableRowOpen('center','center','','NOWRAP','');
   htp.p('<td>');
   htp.bold('Supple');
   htp.p('</td>');
   htp.p('<td>');
   htp.formSelectOpen('', '', 1);
   htp.formSelectOption('---', '');
   htp.formSelectOption('Yes', '');
   htp.formSelectOption('No', '');
   htp.formSelectClose;
   htp.p('</td>');
   htp.p('<td>');
   htp.bold('Anterior Cervical Nodes');
   htp.p('</td>');
   htp.p('<td>');
   htp.formSelectOpen('', '', 1);
   htp.formSelectOption('---', '');
   htp.formSelectOption('Yes', '');
   htp.formSelectOption('No', '');
   htp.formSelectClose;
   htp.p('</td>');
   htp.tableRowClose;
   htp.tableRowOpen('center','center','','NOWRAP','');
   htp.p('<td>');
   htp.bold('Posterior Cervical Nodes');
   htp.p('</td>');
   htp.p('<td>');
   htp.formSelectOpen('', '', 1);
   htp.formSelectOption('---', '');
   htp.formSelectOption('Yes', '');
   htp.formSelectOption('No', '');
   htp.formSelectClose;
   htp.p('</td>');
   htp.p('<td>');
   htp.bold('Occipital Nodes');
   htp.p('</td>');
   htp.p('<td>');
   htp.formSelectOpen('', '', 1);
   htp.formSelectOption('---', '');
   htp.formSelectOption('Yes', '');
   htp.formSelectOption('No', '');
   htp.formSelectClose;
   htp.p('</td>');
   htp.tableRowClose;
   htp.tableClose;

   htp.header(3, 'Chest: ');

   htp.tableOpen(1,'top','NOWRAP','','');
   htp.tableRowOpen('center','center','','NOWRAP','');
   htp.p('<td>');
   htp.bold('Adventitious Breath sounds');
   htp.p('</td>');
   htp.p('<td>');
   htp.formSelectOpen('', '', 1);
   htp.formSelectOption('---', '');
   htp.formSelectOption('Yes', '');
   htp.formSelectOption('No', '');
   htp.formSelectClose;
   htp.p('</td>');
   htp.p('<td>');
   htp.bold('Crackles');
   htp.p('</td>');
   htp.p('<td>');
   htp.formSelectOpen('', '', 1);
   htp.formSelectOption('---', '');
   htp.formSelectOption('Yes', '');
   htp.formSelectOption('No', '');
   htp.formSelectClose;
   htp.p('</td>');
   htp.tableRowClose;
   htp.tableRowOpen('center','center','','NOWRAP','');
   htp.p('<td>');
   htp.bold('Wheezes');
   htp.p('</td>');
   htp.p('<td>');
   htp.formSelectOpen('', '', 1);
   htp.formSelectOption('---', '');
   htp.formSelectOption('Yes', '');
   htp.formSelectOption('No', '');
   htp.formSelectClose;
   htp.p('</td>');
   htp.p('<td>');
   htp.bold('Rhonchi');
   htp.p('</td>');
   htp.p('<td>');
   htp.formSelectOpen('', '', 1);
   htp.formSelectOption('---', '');
   htp.formSelectOption('Yes', '');
   htp.formSelectOption('No', '');
   htp.formSelectClose;
   htp.p('</td>');
   htp.tableRowClose;
   htp.tableRowOpen('center','center','','NOWRAP','');
   htp.p('<td>');
   htp.bold('Transmitted Upper Airway Sounds');
   htp.p('</td>');
   htp.p('<td>');
   htp.formSelectOpen('', '', 1);
   htp.formSelectOption('---', '');
   htp.formSelectOption('Yes', '');
   htp.formSelectOption('No', '');
   htp.formSelectClose;
   htp.p('</td>');
   htp.p('<td>');
   htp.bold('Air Entry');
   htp.p('</td>');
   htp.p('<td>');
   htp.formSelectOpen('', '', 1);
   htp.formSelectOption('---', '');
   htp.formSelectOption('Good', '');
   htp.formSelectOption('Fair', '');
   htp.formSelectOption('Decreased', '');
   htp.formSelectClose;
   htp.p('</td>');
   htp.tableRowClose;
   htp.tableClose;
   
   htp.listItem;
   htp.bold('Skin Rash:');
   htp.tableOpen(1,'top','NOWRAP','','');
   htp.tableRowOpen('center','center','','NOWRAP','');
   htp.p('<td>');
   htp.bold('Location');
   htp.p('</td>');
   htp.p('<td>');
   htp.formSelectOpen('', '', 1);
   htp.formSelectOption('-----------', '');
   htp.formSelectOption('Chest', '');
   htp.formSelectOption('Back', '');
   htp.formSelectOption('Face', '');
   htp.formSelectOption('Extremities', '');
   htp.formSelectClose;
   htp.p('</td>');
   htp.p('<td>');
   htp.bold('Number');
   htp.p('</td>');
   htp.p('<td>');
   htp.formSelectOpen('', '', 1);
   htp.formSelectOption('--------------------', '');
   htp.formSelectOption('Few', '');
   htp.formSelectOption('many', '');
   htp.formSelectOption('Too Numerous to Count', '');
   htp.formSelectClose;
   htp.p('</td>');
   htp.tableRowClose;
   htp.tableRowOpen('center','center','','NOWRAP','');
   htp.p('<td>');
   htp.bold('Pattern');
   htp.p('</td>');
   htp.p('<td>');
   htp.formSelectOpen('', '', 1);
   htp.formSelectOption('--------', '');
   htp.formSelectOption('Discrete', '');
   htp.formSelectOption('Confluent', '');
   htp.formSelectOption('Annular', '');
   htp.formSelectClose;
   htp.p('</td>');
   htp.p('<td>');
   htp.bold('Size');
   htp.p('</td>');
   htp.p('<td>');
   htp.formSelectOpen('', '', 1);
   htp.formSelectOption('------', '');
   htp.formSelectOption('1 mm', '');
   htp.formSelectOption('1-5 mm', '');
   htp.formSelectOption('>5 mm', '');
   htp.formSelectClose;
   htp.p('</td>');
   htp.tableRowClose;
   htp.tableRowOpen('center','center','','NOWRAP','');
   htp.p('<td>');
   htp.bold('Quality');
   htp.p('</td>');
   htp.p('<td>');
   htp.formSelectOpen('', '', 1);
   htp.formSelectOption('---------------', '');
   htp.formSelectOption('Macular', '');
   htp.formSelectOption('Papular', '');
   htp.formSelectOption('Macular-Papular', '');
   htp.formSelectOption('Vesicular', '');
   htp.formSelectOption('Pustular', '');
   htp.formSelectOption('Scarlitinaform', '');
   htp.formSelectClose;
   htp.p('</td>');
   htp.p('<td>');
   htp.bold('');
   htp.p('</td>');
   htp.p('<td>');
   htp.p('</td>');
   htp.tableRowClose;
   htp.tableClose;

   htp.header(3, 'Abdomen: ');

   htp.tableOpen(1,'top','NOWRAP','','');
   htp.tableRowOpen('center','center','','NOWRAP','');
   htp.p('<td>');
   htp.bold('Soft');
   htp.p('</td>');
   htp.p('<td>');
   htp.formSelectOpen('', '', 1);
   htp.formSelectOption('---', '');
   htp.formSelectOption('Yes', '');
   htp.formSelectOption('No', '');
   htp.formSelectClose;
   htp.p('</td>');
   htp.p('<td>');
   htp.bold('Distention');
   htp.p('</td>');
   htp.p('<td>');
   htp.formSelectOpen('', '', 1);
   htp.formSelectOption('---', '');
   htp.formSelectOption('Yes', '');
   htp.formSelectOption('No', '');
   htp.formSelectClose;
   htp.p('</td>');
   htp.tableRowClose;
   htp.tableRowOpen('center','center','','NOWRAP','');
   htp.p('<td>');
   htp.bold('Organomegaly');
   htp.p('</td>');
   htp.p('<td>');
   htp.formSelectOpen('', '', 1);
   htp.formSelectOption('---', '');
   htp.formSelectOption('Yes', '');
   htp.formSelectOption('No', '');
   htp.formSelectClose;
   htp.p('</td>');
   htp.p('<td>');
   htp.bold('Inguinal Nodes');
   htp.p('</td>');
   htp.p('<td>');
   htp.formSelectOpen('', '', 1);
   htp.formSelectOption('---', '');
   htp.formSelectOption('Yes', '');
   htp.formSelectOption('No', '');
   htp.formSelectClose;
   htp.p('</td>');
   htp.tableRowClose;
   htp.tableClose;

   
   htp.formClose;
   htp.htmlClose;  

end;  

procedure plan is  
begin  
   htp.htmlOpen; 
   htp.header(2, 'Plan');

   htp.header(3, '1. No consult necessary if (all criteria met):');
   htp.listItem('');
   htp.p('Sore throat is accompanied by signs of a cold (nasal congestion, \ 
          postnasal discharge, cough.');
   htp.listItem('');
   htp.p('Fever is absent or low grade.');
   htp.listItem('');
   htp.p('Throat is negnative and minomal for exudate');
   htp.listItem('');
   htp.p('Duration is less than 7 days');
   htp.br;
   htp.p('Viral etiology is probable and no consult is necessary. If sore throat 
          persists for  
          more than one week, child should be seen for follow-up/consult with NP. ');   
   htp.p('Health teaching: information sheet on viral pharyngitis.');
   htp.htmlClose;  
   htp.header(3, '2. Consult with nurse practitioner if any of the following are present:');
   htp.listItem('Sore throat is the primary complaint and other signs of an upper
                  airway infection are absent');
   htp.listItem('Fever > 38.5');
   htp.listItem('Nausea/vomitting/abdominal pain');
   htp.listItem('Evidence of lower respiratory infection (adventitious breath sounds');
   htp.listItem('Generalized lymphadenopathy');
   htp.listItem('Oral vesicles and ulcers');
   htp.listItem('Palatal petechiae');
   htp.listItem('Duration > 6 days');
   htp.br;
   htp.header(3, '3. Refer immediately to MD:');
   htp.listItem('Unilateral bulging of tonsil with prominant anterior pillar, soft
                 palate and uvula edematous (on prominent side), displacement of
                 uvula away from enlarged tonsil');
   htp.listItem('Asymmetry of tonsils/displacement of uvula; with prominent swelling 
                 of posterior pharyngeal wall (stops at midline); dysphagia, stridor');
   htp.br;
   htp.header(3, '4. Refer immediately to ED:');
   htp.listItem('dyspnea difficulty breathing');

end;  

end;  
/
show errors;
-- /

