-------------------------------------------------------------------------------
create or replace package cw_develscr_util is
procedure create_form;
procedure show_form(r in cw_develscr_table%rowtype);
procedure modify_form(r in cw_develscr_table%rowtype);

end;
/
show errors
-------------------------------------------------------------------------------

create or replace package body cw_develscr_util is

procedure create_form is
begin
htp.tableOpen('BORDER',cattributes=>'CELLSPACING=1 CELLPADDING=1 WIDTH=90%');
    
    htp.tableRowOpen('CENTER','MIDDLE');
        htp.tableHeader(null,cattributes=>'WIDTH="11%"');
        htp.tableHeader('Date','CENTER',cattributes=>'WIDTH="10%"');
        htp.p('<TD WIDTH="39%">');
        cw_tom_util.select_date('iday','1985','2010');
        htp.p('</TD>');
        htp.tableHeader('Age (12- 21)','CENTER','NOWRAP',cattributes=>'WIDTH="10%"');
        htp.p('<TD WIDTH="30%" NOWRAP>');
        cw_tom_util.select_age(12,21);
        htp.p('</TD>');
htp.tableClose;
htp.tableOpen('BORDER',cattributes=>'CELLSPACING=1 CELLPADDING=1 WIDTH=90%');    
    htp.tableRowOpen('CENTER','MIDDLE');
         htp.tableHeader('Anticipatory Guidance',cattributes=>'WIDTH="10%"');
         htp.tableData(cw_tom_util.select_check('ag_home'),cattributes=>'WIDTH="10%"');
         htp.tableData('Home : Separation, self-reliance, support, "space to grow"',cattributes=>'WIDTH="40%"');
         htp.tableData(cw_tom_util.select_check('ag_education'),cattributes=>'WIDTH="10%"');
         htp.tableData('Education : Experiences, study habits, achievements',cattributes=>'WIDTH="40%"');
    htp.tableRowOpen('CENTER','MIDDLE'); 
         htp.tableData(cattributes=>'WIDTH="10%"');          
         htp.tableData(cw_tom_util.select_check('ag_abuse'),cattributes=>'WIDTH="10%"');
         htp.tableData('Abuse : Verbal, emotional, physical, sexual',cattributes=>'WIDTH="40%"');    
         htp.tableData(cw_tom_util.select_check('ag_drugs'),cattributes=>'WIDTH="10%"');
         htp.tableData('Drugs : Tobacco, alcohol, marijuana, cocaine,others',cattributes=>'WIDTH="40%"');
    htp.tableRowOpen('CENTER','MIDDLE');
         htp.tableData(cattributes=>'WIDTH="10%"');
         htp.tableData(cw_tom_util.select_check('ag_safety'),cattributes=>'WIDTH="10%"');
         htp.tableData('Safety :  Hazardous activities, supervision, seatbelts, helmets',cattributes=>'WIDTH="40%"');        
         htp.tableData(cw_tom_util.select_check('ag_friends'),cattributes=>'WIDTH="10%"');
         htp.tableData('Friends : Confidant, peer pressure, interaction',cattributes=>'WIDTH="40%"');
    htp.tableRowOpen('CENTER','MIDDLE');
         htp.tableData(cattributes=>'WIDTH="10%"');
         htp.tableData(cw_tom_util.select_check('ag_image'),cattributes=>'WIDTH="10%"');
         htp.tableData('Image : Self-esteem, looks, appearance',cattributes=>'WIDTH="40%"'); 
         htp.tableData(cw_tom_util.select_check('ag_recreation'),cattributes=>'WIDTH="10%"');
         htp.tableData('Recreation : Excercise, relaxation, TV, video games',cattributes=>'WIDTH="40%"');
    htp.tableRowOpen('CENTER','MIDDLE');
         htp.tableData(cattributes=>'WIDTH="10%"');
         htp.tableData(cw_tom_util.select_check('ag_sexuality'),cattributes=>'WIDTH="10%"');
         htp.tableData('Sexuality : Changes, feelings, experiences',cattributes=>'WIDTH="40%"'); 
         htp.tableData(cw_tom_util.select_check('ag_threats'),cattributes=>'WIDTH="10%"');
         htp.tableData('Threats : Running away, harm to sell or others',cattributes=>'WIDTH="40%"');     
htp.tableClose;
htp.tableOpen('BORDER',cattributes=>'CELLSPACING=1 CELLPADDING=1 WIDTH=90%'); 
    htp.tableRowOpen('CENTER','MIDDLE');
         htp.tableHeader('Concerns Since Last Visit',cattributes=>'WIDTH="11%"');
         htp.tableData(htf.formTextarea('concern',2,50),cattributes=>'WIDTH="89%"');               
htp.tableClose;
htp.tableOpen('BORDER',cattributes=>'CELLSPACING=1 CELLPADDING=1 WIDTH=90%');    
    htp.tableRowOpen('CENTER','MIDDLE'); 
          htp.tableHeader('Family Dynamics',cattributes=>'WIDTH="10%"');                              
          htp.tableData(cw_tom_util.select_check('fd_changes'),cattributes=>'WIDTH="15%"');
          htp.tableData('Changes',cattributes=>'WIDTH="15%"');
          htp.tableData(cw_tom_util.select_check('fd_control'),cattributes=>'WIDTH="15%"');                    
          htp.tableData('Control Issues',cattributes=>'WIDTH="15%"');               
          htp.tableData(cw_tom_util.select_check('fd_moves'),cattributes=>'WIDTH="15%"');
          htp.tableData('Recent Moves',cattributes=>'WIDTH="15%"');
     htp.tableRowOpen('CENTER','MIDDLE');    
          htp.tableData(null,cattributes=>'WIDTH="10%"');
          htp.tableData(cw_tom_util.select_check('fd_communication'),cattributes=>'WIDTH="15%"');
          htp.tableData('Communication Problems',cattributes=>'WIDTH="15%"');  
          htp.tableData(cw_tom_util.select_check('fd_stresses'),cattributes=>'WIDTH="15%"');
          htp.tableData('Stresses',cattributes=>'WIDTH="15%"');
          htp.tableData(cw_tom_util.select_check('fd_strained'),cattributes=>'WIDTH="15%"');
          htp.tableData('Strained relationships',cattributes=>'WIDTH="15%"');
htp.tableClose;
htp.tableOpen('BORDER',cattributes=>'CELLSPACING=1 CELLPADDING=1 WIDTH=90%');  
    htp.tableRowOpen('CENTER','MIDDLE');
         htp.tableHeader('Social-Enviornmental',ccolspan=>4,cattributes=>'WIDTH="50%"');
         htp.tableHeader('Nutrition : List typical meals',ccolspan=>2,cattributes=>'WIDTH="50%"');
    htp.tableRowOpen('CENTER','MIDDLE');
         htp.tableData('Mother''s Occupation ',cattributes=>'WIDTH="10%"'); 
         htp.tableData(htf.formText('moccupation',15),cattributes=>'WIDTH="17%"'); 
         htp.tableData('Water Supply ',cattributes=>'WIDTH="10%"');
         htp.tableData(htf.formText('water',8),cattributes=>'WIDTH="12%"');  
         htp.tableData('Breakfast ',cattributes=>'WIDTH="15%"');
         htp.tableData(htf.formText('breakfast',25),cattributes=>'WIDTH="35%"');         
    htp.tableRowOpen('CENTER','MIDDLE');
         htp.tableData('Father''s Occupation ',cattributes=>'WIDTH="10%"'); 
         htp.tableData(htf.formText('foccupation',15),cattributes=>'WIDTH="17%"');
         htp.tableData('Pets ',cattributes=>'WIDTH="10%"');
         htp.tableData(htf.formText('pets',8),cattributes=>'WIDTH="12%"');
         htp.tableData('Lunch ',cattributes=>'WIDTH="15%"');
         htp.tableData(htf.formText('lunch',25),cattributes=>'WIDTH="35%"'); 
    htp.tableRowOpen('CENTER','MIDDLE');
         htp.tableData('Grade ',cattributes=>'WIDTH="10%"'); 
         htp.tableData(htf.formText('grade',15),cattributes=>'WIDTH="17%"');
         htp.tableData('Job ',cattributes=>'WIDTH="10%"');
         htp.tableData(htf.formText('job',8),cattributes=>'WIDTH="12%"');
         htp.tableData('Dinner ',cattributes=>'WIDTH="15%"');
         htp.tableData(htf.formText('dinner',25),cattributes=>'WIDTH="35%"'); 
    htp.tableRowOpen('CENTER','MIDDLE');
         htp.tableData('Recent Travel ',cattributes=>'WIDTH="10%"'); 
         htp.tableData(htf.formText('recent',15),cattributes=>'WIDTH="17%"');
         htp.tableData('Who lives at home ',cattributes=>'WIDTH="10%"');
         htp.tableData(htf.formText('who_athome',8),cattributes=>'WIDTH="12%"');
         htp.tableData('Snacks ',cattributes=>'WIDTH="15%"');
         htp.tableData(htf.formText('snacks',25),cattributes=>'WIDTH="35%"'); 
htp.tableClose;
htp.tableOpen('BORDER',cattributes=>'CELLSPACING=1 CELLPADDING=1 WIDTH=90%');    
     htp.tableRowOpen('CENTER','MIDDLE');
         htp.tableData('Comments',cattributes=>'WIDTH="11%"'); 
         htp.tableData(htf.formTextarea('comments',2,45),crowspan=>4,cattributes=>'WIDTH="63%"'); 
         htp.tableData('Nurse''s signature ',cattributes=>'WIDTH="13%"');  
         htp.tableData(htf.formPassword('nurse_sig',10),cattributes=>'WIDTH="13%"');
htp.tableClose;      
--htp.p('Hi you''ve reached the create form procedure');
end;
-------------------------------------------------------------------------------
procedure modify_form (r in cw_develscr_table%rowtype) is
begin
htp.tableOpen('BORDER',cattributes=>'CELLSPACING=1 CELLPADDING=1 WIDTH=90%');
    
    htp.tableRowOpen('CENTER','MIDDLE');
        htp.tableHeader(null,cattributes=>'WIDTH="11%"');
        htp.tableHeader('Date','CENTER',cattributes=>'WIDTH="10%"');
        htp.p('<TD WIDTH="39%">');
        cw_tom_util.select_date(r.tdate,'1985','2010');
        htp.p('</TD>');
        htp.tableHeader('Age (12- 21)','CENTER',cattributes=>'WIDTH="10%"');
        htp.p('<TD WIDTH="30%">');
        cw_tom_util.select_age(r.age,12,21);
        htp.p('</TD>');
htp.tableClose;
htp.tableOpen('BORDER',cattributes=>'CELLSPACING=1 CELLPADDING=1 WIDTH=90%');    
    htp.tableRowOpen('CENTER','MIDDLE');
         htp.tableHeader('Anticipatory Guidance',cattributes=>'WIDTH="10%"');
         htp.tableData(cw_tom_util.select_check('ag_home',r.ag_home),cattributes=>'WIDTH="10%"');
         htp.tableData('Home : Separation, self-reliance, support, "space to grow"',cattributes=>'WIDTH="40%"');
         htp.tableData(cw_tom_util.select_check('ag_education',r.ag_education),cattributes=>'WIDTH="10%"');
         htp.tableData('Education : Experiences, study habits, achievements',cattributes=>'WIDTH="40%"');
    htp.tableRowOpen('CENTER','MIDDLE'); 
         htp.tableData(cattributes=>'WIDTH="10%"');          
         htp.tableData(cw_tom_util.select_check('ag_abuse',r.ag_abuse),cattributes=>'WIDTH="10%"');
         htp.tableData('Abuse : Verbal, emotional, physical, sexual',cattributes=>'WIDTH="40%"');    
         htp.tableData(cw_tom_util.select_check('ag_drugs',r.ag_drugs),cattributes=>'WIDTH="10%"');
         htp.tableData('Drugs : Tobacco, alcohol, marijuana, cocaine,others',cattributes=>'WIDTH="40%"');
    htp.tableRowOpen('CENTER','MIDDLE');
         htp.tableData(cattributes=>'WIDTH="10%"');
         htp.tableData(cw_tom_util.select_check('ag_safety',r.ag_safety),cattributes=>'WIDTH="10%"');
         htp.tableData('Safety :  Hazardous activities, supervision, seatbelts, helmets',cattributes=>'WIDTH="40%"');        
         htp.tableData(cw_tom_util.select_check('ag_friends',r.ag_friends),cattributes=>'WIDTH="10%"');
         htp.tableData('Friends : Confidant, peer pressure, interaction',cattributes=>'WIDTH="40%"');
    htp.tableRowOpen('CENTER','MIDDLE');
         htp.tableData(cattributes=>'WIDTH="10%"');
         htp.tableData(cw_tom_util.select_check('ag_image',r.ag_image),cattributes=>'WIDTH="10%"');
         htp.tableData('Image : Self-esteem, looks, appearance',cattributes=>'WIDTH="40%"'); 
         htp.tableData(cw_tom_util.select_check('ag_recreation',r.ag_recreation),cattributes=>'WIDTH="10%"');
         htp.tableData('Recreation : Excercise, relaxation, TV, video games',cattributes=>'WIDTH="40%"');
    htp.tableRowOpen('CENTER','MIDDLE');
         htp.tableData(cattributes=>'WIDTH="10%"');
         htp.tableData(cw_tom_util.select_check('ag_sexuality',r.ag_sexuality),cattributes=>'WIDTH="10%"');
         htp.tableData('Sexuality : Changes, feelings, experiences',cattributes=>'WIDTH="40%"'); 
         htp.tableData(cw_tom_util.select_check('ag_threats',r.ag_threats),cattributes=>'WIDTH="10%"');
         htp.tableData('Threats : Running away, harm to sell or others',cattributes=>'WIDTH="40%"');     
htp.tableClose;
htp.tableOpen('BORDER',cattributes=>'CELLSPACING=1 CELLPADDING=1 WIDTH=90%'); 
    htp.tableRowOpen('CENTER','MIDDLE');
         htp.tableHeader('Concerns Since Last Visit',cattributes=>'WIDTH="11%"');
         htp.p('<TD WIDTH="89%">');
         htp.formTextareaOpen('concern',2,50);               
         htp.p(r.concern);
         htp.formTextareaClose;
         htp.p('</TD>');
htp.tableClose;
htp.tableOpen('BORDER',cattributes=>'CELLSPACING=1 CELLPADDING=1 WIDTH=90%');    
    htp.tableRowOpen('CENTER','MIDDLE'); 
          htp.tableHeader('Family Dynamics',cattributes=>'WIDTH="10%"');                              
          htp.tableData(cw_tom_util.select_check('fd_changes',r.fd_changes),cattributes=>'WIDTH="15%"');
          htp.tableData('Changes',cattributes=>'WIDTH="15%"');
          htp.tableData(cw_tom_util.select_check('fd_control',r.fd_control),cattributes=>'WIDTH="15%"');                    
          htp.tableData('Control Issues',cattributes=>'WIDTH="15%"');               
          htp.tableData(cw_tom_util.select_check('fd_moves',r.fd_moves),cattributes=>'WIDTH="15%"');
          htp.tableData('Recent Moves',cattributes=>'WIDTH="15%"');
     htp.tableRowOpen('CENTER','MIDDLE');    
          htp.tableData(null,cattributes=>'WIDTH="10%"');
          htp.tableData(cw_tom_util.select_check('fd_communication',r.fd_communication),cattributes=>'WIDTH="15%"');
          htp.tableData('Communication Problems',cattributes=>'WIDTH="15%"');  
          htp.tableData(cw_tom_util.select_check('fd_stresses',r.fd_stresses),cattributes=>'WIDTH="15%"');
          htp.tableData('Stresses',cattributes=>'WIDTH="15%"');
          htp.tableData(cw_tom_util.select_check('fd_strained',r.fd_strained),cattributes=>'WIDTH="15%"');
          htp.tableData('Strained relationships',cattributes=>'WIDTH="15%"');
htp.tableClose;
htp.tableOpen('BORDER',cattributes=>'CELLSPACING=1 CELLPADDING=1 WIDTH=90%');  
    htp.tableRowOpen('CENTER','MIDDLE');
         htp.tableHeader('Social-Enviornmental',ccolspan=>4,cattributes=>'WIDTH="50%"');
         htp.tableHeader('Nutrition : List typical meals',ccolspan=>2,cattributes=>'WIDTH="50%"');
    htp.tableRowOpen('CENTER','MIDDLE');
         htp.tableData('Mother''s Occupation ',cattributes=>'WIDTH="10%"'); 
         htp.tableData(htf.formText('moccupation',15,null,r.moccupation),cattributes=>'WIDTH="17%"'); 
         htp.tableData('Water Supply ',cattributes=>'WIDTH="10%"');
         htp.tableData(htf.formText('water',8,null,r.water),cattributes=>'WIDTH="12%"');  
         htp.tableData('Breakfast ',cattributes=>'WIDTH="15%"');
         htp.tableData(htf.formText('breakfast',25,null,r.breakfast),cattributes=>'WIDTH="35%"');         
    htp.tableRowOpen('CENTER','MIDDLE');
         htp.tableData('Father''s Occupation ',cattributes=>'WIDTH="10%"'); 
         htp.tableData(htf.formText('foccupation',15,null,r.foccupation),cattributes=>'WIDTH="17%"');
         htp.tableData('Pets ',cattributes=>'WIDTH="10%"');
         htp.tableData(htf.formText('pets',8,null,r.pets),cattributes=>'WIDTH="12%"');
         htp.tableData('Lunch ',cattributes=>'WIDTH="15%"');
         htp.tableData(htf.formText('lunch',25,null,r.lunch),cattributes=>'WIDTH="35%"'); 
    htp.tableRowOpen('CENTER','MIDDLE');
         htp.tableData('Grade ',cattributes=>'WIDTH="10%"'); 
         htp.tableData(htf.formText('grade',15,null,r.grade),cattributes=>'WIDTH="17%"');
         htp.tableData('Job ',cattributes=>'WIDTH="10%"');
         htp.tableData(htf.formText('job',8,null,r.job),cattributes=>'WIDTH="12%"');
         htp.tableData('Dinner ',cattributes=>'WIDTH="15%"');
         htp.tableData(htf.formText('dinner',25,null,r.dinner),cattributes=>'WIDTH="35%"'); 
    htp.tableRowOpen('CENTER','MIDDLE');
         htp.tableData('Recent Travel ',cattributes=>'WIDTH="10%"'); 
         htp.tableData(htf.formText('recent',15,null,r.recent),cattributes=>'WIDTH="17%"');
         htp.tableData('Who lives at home ',cattributes=>'WIDTH="10%"');
         htp.tableData(htf.formText('who_athome',8,null,r.who_athome),cattributes=>'WIDTH="12%"');
         htp.tableData('Snacks ',cattributes=>'WIDTH="15%"');
         htp.tableData(htf.formText('snacks',25,null,r.snacks),cattributes=>'WIDTH="35%"'); 
htp.tableClose;
htp.tableOpen('BORDER',cattributes=>'CELLSPACING=1 CELLPADDING=1 WIDTH=90%');    
     htp.tableRowOpen('CENTER','MIDDLE');
         htp.tableData('Comments',cattributes=>'WIDTH="11%"'); 
         htp.p('<TD WIDTH="63%" ROWSPAN=4>');
         htp.formTextareaOpen('comments',2,45); 
         htp.p(r.comments);
         htp.formTextareaClose;
         htp.p('</TD>');
         htp.tableData('Nurse''s signature ',cattributes=>'WIDTH="13%"');  
         htp.tableData(htf.formPassword('nurse_sig',10),cattributes=>'WIDTH="13%"');
htp.tableClose;      
end;
-------------------------------------------------------------------------------
procedure show_form(r in cw_develscr_table%rowtype) is
nur cw_nurse_table%rowtype;
p cw_person_table%rowtype;
begin
htp.tableOpen('BORDER',cattributes=>'CELLSPACING=3 CELLPADDING=3 WIDTH=90%');
     htp.tableRowOpen('CENTER','MIDDLE');
         htp.tableHeader('Date','CENTER',cattributes=>'WIDTH="21%"');
         htp.tableData(r.tdate,cattributes=>'WIDTH="30%"');
         htp.tableHeader('Anticipatory Guidance',ccolspan=>2,cattributes=>'WIDTH="49%"');
     htp.tableRowOpen('CENTER','MIDDLE');
         htp.tableHeader('Age (12- 21)','CENTER',cattributes=>'WIDTH="21%"');
         htp.tableData(r.age,cattributes=>'WIDTH="30%"');
         htp.tableData(cw_tom_util.show_tick(r.ag_home),cattributes=>'WIDTH="10%"');
         htp.tableHeader('Home : Separation, self-reliance, support, "space to grow"',cattributes=>'WIDTH="39%"');
htp.tableClose;
htp.tableOpen('BORDER',cattributes=>'CELLSPACING=3 CELLPADDING=3 WIDTH=90%');
     htp.tableRowOpen('CENTER','MIDDLE');
         htp.tableHeader('Concerns Since Last Visit',cattributes=>'WIDTH="52%"');
         htp.tableData(cw_tom_util.show_tick(r.ag_education),cattributes=>'WIDTH="10%"');
         htp.tableHeader('Education : Experiences, study habits, achievements',cattributes=>'WIDTH="38%"');
    htp.tableRowOpen('CENTER','MIDDLE');
         htp.tableData(r.concern,cattributes=>'WIDTH="54%"');
         htp.tableData(cw_tom_util.show_tick(r.ag_abuse),cattributes=>'WIDTH="10%"');
         htp.tableHeader('Abuse : Verbal, emotional, physical, sexual',cattributes=>'WIDTH="36%"');
htp.tableClose;
htp.tableOpen('BORDER',cattributes=>'CELLSPACING=3 CELLPADDING=3 WIDTH=90%');
    htp.tableRowOpen('CENTER','MIDDLE');
        htp.tableHeader('Family Dynamics','CENTER',ccolspan=>4,cattributes=>'WIDTH="50%"');
        htp.tableData(cw_tom_util.show_tick(r.ag_drugs),cattributes=>'WIDTH="10%"');
        htp.tableHeader('Drugs : Tobacco, alcohol, marijuana, cocaine,others',cattributes=>'WIDTH="40%"');
    htp.tableRowOpen('CENTER','MIDDLE');
        htp.tableData(r.fd_changes,cattributes=>'WIDTH="10%"');
        htp.tableHeader('Changes',cattributes=>'WIDTH="15%"');
        htp.tableData(r.fd_control ,cattributes=>'WIDTH="10%"');                    
        htp.tableHeader('Control Issues',cattributes=>'WIDTH="15%"'); 
        htp.tableData(cw_tom_util.show_tick(r.ag_safety) ,cattributes=>'WIDTH="10%"');
        htp.tableHeader('Safety :  Hazardous activities, supervision, seatbelts, helmets',cattributes=>'WIDTH="40%"');    
    htp.tableRowOpen('CENTER','MIDDLE');
        htp.tableData(r.fd_moves,cattributes=>'WIDTH="10%"');
        htp.tableHeader('Recent Moves',cattributes=>'WIDTH="15%"');             
        htp.tableData(r.fd_communication,cattributes=>'WIDTH="10%"');
        htp.tableHeader('Communication Problems',cattributes=>'WIDTH="15%"');
        htp.tableData(cw_tom_util.show_tick(r.ag_friends),cattributes=>'WIDTH="10%"');
        htp.tableHeader('Friends : Confidant, peer pressure, interaction',cattributes=>'WIDTH="40%"');  
    htp.tableRowOpen('CENTER','MIDDLE');
        htp.tableData(r.fd_stresses,cattributes=>'WIDTH="10%"');
        htp.tableHeader('Stresses',cattributes=>'WIDTH="15%"');
        htp.tableData(r.fd_strained,cattributes=>'WIDTH="10%"');
        htp.tableHeader('Strained relationships',cattributes=>'WIDTH="15%"');
        htp.tableData(cw_tom_util.show_tick(r.ag_image),cattributes=>'WIDTH="10%"');
        htp.tableHeader('Image : Self-esteem, looks, appearance',cattributes=>'WIDTH="40%"');
htp.tableClose;
htp.tableOpen('BORDER',cattributes=>'CELLSPACING=3 CELLPADDING=3 WIDTH=90%');   
    htp.tableRowOpen('CENTER','MIDDLE');
        htp.tableHeader('Social-Enviornmental',ccolspan=>4,cattributes=>'WIDTH="47%"');
        htp.tableData(cw_tom_util.show_tick(r.ag_recreation),cattributes=>'WIDTH="10%"');
        htp.tableHeader('Recreation : Excercise, relaxation, TV, video games',cattributes=>'WIDTH="43%"');
    htp.tableRowOpen('CENTER','MIDDLE');
        htp.tableHeader('Mother''s Occupation ',cattributes=>'WIDTH="10%"'); 
        htp.tableData(r.moccupation,cattributes=>'WIDTH="14%"');
        htp.tableHeader('Water Supply ',cattributes=>'WIDTH="10%"');
        htp.tableData(r.water,cattributes=>'WIDTH="13%"'); 
        htp.tableData( cw_tom_util.show_tick(r.ag_sexuality),cattributes=>'WIDTH="10%"');
        htp.tableHeader('Sexuality : Changes, feelings, experiences',cattributes=>'WIDTH="43%"');
    htp.tableRowOpen('CENTER','MIDDLE');
        htp.tableHeader('Father''s Occupation ',cattributes=>'WIDTH="10%"'); 
        htp.tableData( r.foccupation,cattributes=>'WIDTH="14%"');
        htp.tableHeader('Pets ',cattributes=>'WIDTH="10%"');
        htp.tableData(r.pets,cattributes=>'WIDTH="13%"');          
        htp.tableData(cw_tom_util.show_tick(r.ag_threats),cattributes=>'WIDTH="10%"');
        htp.tableHeader('Threats : Running away, harm to sell or others',cattributes=>'WIDTH="43%"'); 
htp.tableClose;
htp.tableOpen('BORDER',cattributes=>'CELLSPACING=3 CELLPADDING=3 WIDTH=90%'); 
    htp.tableRowOpen('CENTER','MIDDLE');
        htp.tableHeader('Grade ',cattributes=>'WIDTH="10%"'); 
        htp.tableData(r.grade,cattributes=>'WIDTH="15%"');
        htp.tableHEader('Job ',cattributes=>'WIDTH="10%"');
        htp.tableData(r.job,cattributes=>'WIDTH="15%"');
        htp.tableHeader('Nutrition : List typical meals',ccolspan=>2,cattributes=>'WIDTH="50%"');
    htp.tableRowOpen('CENTER','MIDDLE');
        htp.tableHeader('Recent Travel ',cattributes=>'WIDTH="10%"'); 
        htp.tableData(r.recent,cattributes=>'WIDTH="15%"');
        htp.tableHeader('Who lives at home ',cattributes=>'WIDTH="10%"');
        htp.tableData(r.who_athome,cattributes=>'WIDTH="15%"');
        htp.tableHeader('Breakfast ',cattributes=>'WIDTH="15%"');
        htp.tableData(r.breakfast,cattributes=>'WIDTH="35%"'); 
htp.tableClose;
htp.tableOpen('BORDER',cattributes=>'CELLSPACING=3 CELLPADDING=3 WIDTH=90%');     
    htp.tableRowOpen('CENTER','MIDDLE');
        htp.tableHeader('Comments',cattributes=>'WIDTH="10%"');
        htp.tableData(r.comments,cattributes=>'WIDTH="40%"');
        htp.tableHeader('Lunch ',cattributes=>'WIDTH="15%"');
        htp.tableData(r.lunch,cattributes=>'WIDTH="35%"');        
    htp.tableRowOpen('CENTER','MIDDLE');
        htp.tableData('              ',cattributes=>'WIDTH="10%"');
        htp.tableData('              ',cattributes=>'WIDTH="40%"');
        htp.tableHeader('Dinner',cattributes=>'WIDTH="15%"');
        htp.tableData(r.dinner,cattributes=>'WIDTH="35%"');
    htp.tableRowOpen('CENTER','MIDDLE');
        htp.tableHeader('Nurse Initials/Name ',cattributes=>'WIDTH="10%"');
    --    nur := cw_bridge.get_nurse;
    --    p := cw_person.get(nur.person_id);
    --    htp.tableData(p.first_name||' '||p.middle_name||' '||p.last_name);
        htp.tableData('             ', cattributes=>'WIDTH="40%"');         
        htp.tableHeader('Snacks',cattributes=>'WIDTH="15%"');
        htp.tableData(r.snacks,cattributes=>'WIDTH="35%"');
htp.tableClose;
--htp.p(r.STUDENT_ID);
htp.para;

end;

end;
/
show errors
