-------------------------------------------------------
-- The cw_medicat_table contains medication information.
-------------------------------------------------------
drop sequence cw_medicat_seq;
drop table cw_medicat_table;

create table cw_medicat_table (		
id			number(8)  primary key,
student_id		number(8),
nurse_id		number(8),
name			varchar2(128),
reason			varchar2(128),
dosage			varchar2(128),
day			date,      	-- the day of taking medication	
doctor_order		varchar2(128),
parent_permission 	varchar2(8),
signature		varchar2(64),
signature_day		date,		-- MD's signature date
doctor_initial			varchar2(8),
title			varchar2(32)
);

create sequence cw_medicat_seq;

