-----------------------------------------------------------------------------
create or replace package cw_school_util is
-----------------------------------------------------------------------------
procedure create_form;
procedure modify_form(r in cw_school_table%rowtype);
procedure show_form(r in cw_school_table%rowtype);
procedure directory_table(cookie in varchar2, r in cw_school_table%rowtype);
end;
/
show errors
------------------------------------------------------------------------------
create or replace package body cw_school_util is
------------------------------------------------------------------------------
procedure create_form is
begin
         htp.tableOpen('BORDER',null,null,null,'CELLSPACING=3 CELLPADDING=3');
            htp.tableRowOpen('RIGHT','MIDDLE');	
                htp.tableHeader('Name','CENTER','NOWRAP');                 
                htp.tableHeader('Level','CENTER','NOWRAP');                 
                htp.tableHeader('District','CENTER','NOWRAP');                           
                htp.tableHeader('Media URL','CENTER','NOWRAP');
           htp.tableRowOpen('RIGHT','MIDDLE');
                htp.tableData(htf.formText('name',20));
                htp.tableData(htf.formText('lev',10));
                htp.tableData(htf.formText('district',20));
                htp.tableData(htf.formText('media_url',30));
	htp.tableClose; 
	
         htp.tableOpen('BORDER' ,null,null,null,'CELLSPACING=3 CELLPADDING=3');            
            htp.tableRowOpen('RIGHT','MIDDLE');
                htp.tableHeader('Street','CENTER','NOWRAP');
                htp.tableHeader('City','CENTER','NOWRAP');
                htp.tableHeader('State','CENTER','NOWRAP');
                htp.tableHeader('ZIP','CENTER','NOWRAP');
                htp.tableHeader('County','CENTER','NOWRAP');
                htp.tableHeader('Country','CENTER','NOWRAP');
            htp.tableRowOpen('RIGHT','MIDDLE');
                htp.tableData(htf.formText('street',28));			              
                htp.tableData(htf.formText('city',16));			                          
                htp.tableData(htf.formText('state',2));                
                htp.tableData(htf.formText('zip',10));
                htp.tableData(htf.formText('county',10));                 
                htp.tableData(htf.formText('country',8));
                htp.tableClose;
	  
            htp.tableOpen('BORDER' ,null,null,null,'CELLSPACING=3 CELLPADDING=3');                   
            htp.tableRowOpen('RIGHT','MIDDLE');
                htp.tableHeader('Phone','CENTER','NOWRAP');
                htp.tableHeader('Fax','CENTER','NOWRAP');
                htp.tableHeader('Email','CENTER','NOWRAP');
                htp.tableHeader('URL','CENTER','NOWRAP');
            htp.tableRowOpen('CENTER','MIDDLE');               
                htp.tableData(htf.formText('phone',15));                 
                htp.tableData(htf.formText('fax',15));                 
                htp.tableData(htf.formText('email',20));                            
                htp.tableData(htf.formText('url',30));
           htp.tableClose;
  	 
           htp.tableOpen('BORDER' ,null,null,null,'CELLSPACING=3 CELLPADDING=3');             
                htp.formHidden('description',null);
            htp.tableRowOpen('RIGHT','MIDDLE');
                htp.tableHeader('Comments','CENTER','NOWRAP');          
                htp.tableData(htf.formTextarea('comments',2,77));
            htp.tableClose;
end;
-------------------------------------------------------------------------------
procedure modify_form(r in cw_school_table%rowtype) is
begin
         htp.tableOpen('BORDER',null,null,null,'CELLSPACING=3 CELLPADDING=3');
            htp.tableRowOpen('RIGHT','MIDDLE');	
                htp.tableHeader('Name','CENTER','NOWRAP');                 
                htp.tableHeader('Level','CENTER','NOWRAP');                 
                htp.tableHeader('District','CENTER','NOWRAP');                           
                htp.tableHeader('Media URL','CENTER','NOWRAP');
           htp.tableRowOpen('RIGHT','MIDDLE');
                htp.tableData(htf.formText('name',20,
			null,r.name));
                htp.tableData(htf.formText('lev',10,
			null,r.lev));
                htp.tableData(htf.formText('district',20,
			null,r.district));
                htp.tableData(htf.formText('media_url',30,
			null,r.media_url));
	htp.tableClose; 
      
         htp.tableOpen('BORDER' ,null,null,null,'CELLSPACING=3 CELLPADDING=3');            
            htp.tableRowOpen('RIGHT','MIDDLE');
                htp.tableHeader('Street','CENTER','NOWRAP');
                htp.tableHeader('City','CENTER','NOWRAP');
                htp.tableHeader('State','CENTER','NOWRAP');
                htp.tableHeader('ZIP','CENTER','NOWRAP');
                htp.tableHeader('County','CENTER','NOWRAP');
                htp.tableHeader('Country','CENTER','NOWRAP');
            htp.tableRowOpen('RIGHT','MIDDLE');
                htp.tableData(htf.formText('street',28,
			null,r.street));			              
                htp.tableData(htf.formText('city',16,
			null,r.city));			                          
                htp.tableData(htf.formText('state',2,
			null,r.state));                
                htp.tableData(htf.formText('zip',10,
			null,r.zip));
                htp.tableData(htf.formText('county',10,
			null,r.county));                 
                htp.tableData(htf.formText('country',8,
			null,r.country));
                htp.tableClose;
	  
            htp.tableOpen('BORDER' ,null,null,null,'CELLSPACING=3 CELLPADDING=3');                   
            htp.tableRowOpen('RIGHT','MIDDLE');
                htp.tableHeader('Phone','CENTER','NOWRAP');
                htp.tableHeader('Fax','CENTER','NOWRAP');
                htp.tableHeader('Email','CENTER','NOWRAP');
                htp.tableHeader('URL','CENTER','NOWRAP');
            htp.tableRowOpen('CENTER','MIDDLE');               
                htp.tableData(htf.formText('phone',15,
			null,r.phone));                 
                htp.tableData(htf.formText('fax',15,
			null,r.fax));                 
                htp.tableData(htf.formText('email',20,
			null,r.email));                            
                htp.tableData(htf.formText('url',30,
			null,r.url));
           htp.tableClose;
  	 
           htp.tableOpen('BORDER' ,null,null,null,'CELLSPACING=3 CELLPADDING=3');             
                htp.formHidden('description',null);
            htp.tableRowOpen('RIGHT','MIDDLE');
                htp.tableHeader('Comments','CENTER','NOWRAP');          
                htp.tableData(htf.formTextareaOpen('comments',2,77)||
			r.comments||htf.formTextareaClose);
            htp.tableClose;
end;
-------------------------------------------------------------------------------

procedure show_form(r in cw_school_table%rowtype) is
begin
       htp.tableOpen('BORDER',null,null,null,'CELLSPACING=3 CELLPADDING=3');   
       htp.tableRowOpen('CENTER','MIDDLE');
       htp.tableHeader(htf.img('/careweb/img/school.gif','LEFT',null,null,'ROWSPAN=3'));
       htp.p('<TD>');
       htp.tableOpen;
       htp.tableRowOpen('CENTER','MIDDLE'); 
         htp.tableHeader('Name :','RIGHT',null,'midnightblue');
         htp.tableData(r.name||' '||r.lev ,'LEFT',null,'brown');      
	 htp.tableRowOpen('CENTER','MIDDLE');
         htp.tableHeader('District :','RIGHT',null,'green');
         htp.tableData(r.district,'LEFT',null,'chocolate');    
       htp.tableRowOpen('CENTER','MIDDLE');
         htp.tableHeader('Street :','RIGHT',null,null);
         htp.tableData(r.street,'LEFT');
	 htp.tableHeader('County :','RIGHT',null,null);
	 htp.tableData(r.county,'LEFT');
      htp.tableRowOpen('CENTER','MIDDLE');
         htp.tableHeader('City :','RIGHT',null,null);
         htp.tableData(r.city||' '||r.state||' '||r.zip,'LEFT');
         htp.tableHeader('Country  :','RIGHT',null,null);
         htp.tableData(r.country,'LEFT');
      htp.tableRowOpen('CENTER','MIDDLE');
         htp.tableHeader('Phone :','RIGHT',null,null);
         htp.tableData(r.phone,'LEFT');
         htp.tableHeader('Fax :','RIGHT',null,null);
         htp.tableData(r.fax,'LEFT');
      htp.tableRowOpen('CENTER','MIDDLE');
         htp.tableHeader('Email :','RIGHT',null,null);
         htp.tableData(htf.mailto(r.email,r.email),'LEFT');
         htp.tableHeader('URL :','RIGHT',null,null);
         htp.tableData(htf.anchor(cw_util.getURL,'Homepage'),'LEFT');

      htp.tableClose;
      htp.tableHeader(htf.img( '/careweb/img/careweb_icon.gif','RIGHT'));   
      htp.tableClose;
      htp.tableOpen('BORDER',null,null,null,'CELLSPACING=3 CELLPADDING=3');        
         htp.tableRowOpen('CENTER','MIDDLE');
	 htp.tableData(r.comments);    
      htp.tableClose;
end;   
------------------------------------------------------------------------------
procedure directory_table(cookie in varchar2,r in cw_school_table%rowtype) is
begin
   htp.tableOpen('BORDER=5',null,null,null,'CELLSPACING=5 CELLPADDING=5');

   htp.tableRowOpen;

   htp.tableRowOpen;
   htp.tableHeader('<font size=6 color="maroon">Community</font>');
   htp.tableHeader('<font size=6 color="maroon">Health Information</font>');
   htp.tableRowClose;

   htp.tableData(htf.anchor(
	'cw_student_mgr.home_cmd?cookie='||cookie,
	'<font size=6>Students</font>'));

   htp.tableData(htf.anchor(
	'cw_eduworld_mgr.home_cmd?cookie='||cookie,
	'<font size=6>Health Education</font>'));
   htp.tableRowClose;

   htp.tableRowOpen;
   htp.tableData(htf.anchor(
	'cw_nurse_mgr.home_cmd?cookie='||cookie,
	'<font size=6>Nurses</font>')); 

   htp.tableData(htf.anchor(
	'cw_stat_mgr.home_cmd?cookie='||cookie,
	'<font size=6>Health Statistics</font>'));
   htp.tableRowClose;

   htp.tableRowOpen;
   htp.tableData(htf.anchor(
	'cw_teacher_mgr.home_cmd?cookie='||cookie,
	'<font size=6>Teachers</font>'));

   htp.tableData(htf.anchor(
	'cw_hservice_mgr.home_cmd?cookie='||cookie,
	'<font size=6>Health Services</font>'));
   htp.tableRowClose;

   htp.tableRowOpen;
   htp.tableData(htf.anchor(
	'cw_parent_mgr.home_cmd?cookie='||cookie,
	'<font size=6>Parents</font>')); 

   htp.tableData(htf.anchor(
	'cw_consult_mgr.home_cmd?cookie='||cookie,
	'<font size=6>CareWeb Connection</font>'));
   htp.tableRowClose;

   htp.tableClose;

end;
------------------------------------------------------------------------------   
end;
/
show errors
