create or replace package wow is
	type web_page is table of varchar2(255)
	index by binary_integer;
	procedure sig;
	procedure sig(cname in varchar2);
    procedure get_page (thepage     out htp.htbuf_arr,
                       irows    in out integer );
  /*      procedure get_page (   	thepage out web_page,
				irows in out integer ); */
	procedure showsource(cname in varchar2);
	wowgif varchar2(255) := '/npac_small.gif';
end; -- <hr>
/
create or replace package body wow is -- <p>

	invocations integer := 1;

	procedure sig is
	begin
		htp.line;
		htp.p('This page was produced by ');
		htp.p(htf.bold('Wow')||' version 1.0 on ' ||  
			to_char(sysdate,'yy/mm/dd hh24:mi') || 
			' GMT+1' || htf.nl);
	end; -- <p> 

	procedure sig(cname in varchar2) is
	begin
		sig;
		htp.linkRel('/cgi-bin/wow/wow.showsource?cname=' || cname,
		'Inspect pl/sql source code');
	end; -- <p>

/*        procedure get_page (   thepage out web_page,
				irows in out integer ) is
		rc integer := 0;
		j integer;
		k integer := 1;
	begin
		if invocations = 0 and upper(wowgif) != 'NONE' then
			thepage(1):=htf.img(wowgif);
			invocations := 1;
			k := 2;
		end if;
	--	for j in k..irows loop
			dbms_output.get_line(thepage(j),rc);
			if rc = 1 then
				irows := j-1;
				exit;
			end if;
		end loop;
	exception
	when others then
		raise_application_error(-20001,'wow.get_page() error ' ||
		to_char(sqlcode));
	end; -- <p>  */
 /*****************************************/   
    /* OWA's Get the output from the user's PL/SQL */
   /*****************************************/
procedure get_page (thepage     out htp.htbuf_arr,
                       irows    in out integer ) is
   begin
      irows := least(irows,htp.rows_in - htp.rows_out);

      for i in 1..irows
      loop
         thepage(i) := htp.htbuf(htp.rows_out+i);
      end loop;

      htp.rows_out := htp.rows_out + irows;
   end;


	procedure showsource(cname in varchar2) is
		cursor c1 (a varchar2) is
		select text from user_source
		where name=upper(a) order by type, line;
	begin
		htp.htitle('Source code for ' || cname);
		htp.preOpen;
		for e in c1 (cname)loop
			htp.p(translate(e.text,chr(10) || chr(13),'  '));
		end loop;
		htp.preClose;
		sig('WOW');		
	end; -- <p>
end;
/
show errors





