drop package cw_assess_util;

----------------------------------------------------  
create or replace package cw_assess_util is  
----------------------------------------------------  
procedure insert_page(cookie in varchar2);  
-- procedure update_page(cookie in varchar2, iid in number);  
procedure delete_page(cookie in varchar2, iid in number);  
procedure search_page(cookie in varchar2, irow in cw_assess_table%type);  
procedure action_echo(cookie in varchar2, irow in cw_assess_table%type, iaction in varchar2);  
end;  
/
show errors;
-- /
----------------------------------------------------  
create or replace package cw_assess_util1 is  
----------------------------------------------------  
procedure update_page(cookie in varchar2, iid in number);  
end;  
/
show errors;
-- /

---------------------------------------------------------  
create or replace package body cw_assess_util is  
---------------------------------------------------------  
  me varchar2(64);
  this cw_assess_table%type;
  id_null exception;
--
---------------------------------------------------------  
procedure insert_page(cookie in varchar2) is  
---------------------------------------------------------  
   today date;
begin  
   me := 'cw_assess_util.insert_page';
   cw_bridge.sync(me,cookie);
   cw_bridge.unset_assess;
   htp.formOpen('/owa_careweb/owa/cw_assess.insert_action', 'POST');
   cw_util_jguo.editpageOpen('Insert Pharyngitis Assessment Record', 'Reset', 'Create'); 
   today := sysdate;
   htp.formHidden('cookie', cookie);
   htp.p('<center>');
   htp.tableOpen(1,'top','NOWRAP','','');
   htp.tableRowOpen('center','center','','NOWRAP','');
   htp.tableHeader('Assessment Date');
   htp.tableRowOpen('center','center','','NOWRAP','');
   htp.p('<td>');
   cw_util_jguo.select_date('iday', today, '1980', '2010');
   htp.p('</td>');
   htp.tableRowClose;
   htp.tableClose;
   htp.p('</center>');
---- Vital Signs ------------------------------
   htp.p('<hr><center><font color="green" size=6>Vital Signs</font></center><hr>');
   htp.tableOpen(1,'top','NOWRAP','','');
   htp.tableRowOpen('center','center','','NOWRAP','');
   htp.tableHeader('Heart Rate');
   htp.tableHeader('Respiratory Rate');
   htp.tableHeader('Temperature');
   htp.tableRowOpen('center','center','','NOWRAP','');
   htp.tableRowClose;
   htp.tableData(htf.formText('iheart', '20', '20'));
   htp.tableData(htf.formText('irespiratory', '20', '20'));
   htp.tableData(htf.formText('itemperature', '20', '20'));
   htp.tableRowClose;
   htp.tableClose;
---- History ------------------------------
   htp.p('<hr><center><font color="green" size=6>History</font></center><hr>');
   htp.listItem('');
   htp.tableOpen(1,'top','NOWRAP','','');
   htp.tableRowOpen('center','center','','NOWRAP','');
   htp.tableHeader('Onset:');
   htp.p('<td>');
      htp.formSelectOpen('ionset', '', 1);
   htp.formSelectOption('--------');
   htp.formSelectOption('Gradual');
   htp.formSelectOption('Sudden');
   htp.formSelectClose;
   htp.p('</td>');
   htp.tableHeader('Duration:');
   htp.p('<td>');
   htp.formSelectOpen('iduration', '', 1);
   htp.formSelectOption('--------');
   htp.formSelectOption('24 hours');
   htp.formSelectOption('24-48 hours');
   htp.formSelectOption('3-7 days');
   htp.formSelectOption('>7 days');
   htp.formSelectClose;
   htp.p('</td>');
   htp.tableRowClose;
   htp.tableClose;

   htp.listItem('');
   htp.bold('Related symtoms:');
   htp.br;
   htp.tableOpen(1,'top','NOWRAP','','');
   htp.tableRowOpen('center','center','','NOWRAP','');
   htp.tableHeader('Fever');
   htp.p('<td>');
   htp.formSelectOpen('ifever', '', 1);
   htp.formSelectOption('---');
   htp.formSelectOption('Yes');
   htp.formSelectOption('No');
   htp.formSelectClose;
   htp.p('</td>');
   htp.tableHeader('Rash');
   htp.p('<td>');
   htp.formSelectOpen('irash', '', 1);
   htp.formSelectOption('---');
   htp.formSelectOption('Yes');
   htp.formSelectOption('No');
   htp.formSelectClose;
   htp.tableRowClose;
   htp.p('</td>');
   htp.tableRowOpen('center','center','','NOWRAP','');
   htp.tableHeader('Cough');
   htp.p('<td>');
   htp.formSelectOpen('icough', '', 1);
   htp.formSelectOption('---');
   htp.formSelectOption('Yes');
   htp.formSelectOption('No');
   htp.formSelectClose;
   htp.p('</td>');
   htp.tableHeader('Rhinorrhea');
   htp.p('<td>');
   htp.formSelectOpen('irhinorrhea', '', 1);
   htp.formSelectOption('---');
   htp.formSelectOption('Yes');
   htp.formSelectOption('No');
   htp.formSelectClose;
   htp.p('</td>');
   htp.tableRowClose;
   htp.tableRowOpen('center','center','','NOWRAP','');
   htp.tableHeader('Hoarseness');
   htp.p('<td>');
   htp.formSelectOpen('ihoarseness', '', 1);
   htp.formSelectOption('---');
   htp.formSelectOption('Yes');
   htp.formSelectOption('No');
   htp.formSelectClose;
   htp.p('</td>');
   htp.tableHeader('Difficulty swallowing');
   htp.p('<td>');
   htp.formSelectOpen('iswallowing', '', 1);
   htp.formSelectOption('---');
   htp.formSelectOption('Yes');
   htp.formSelectOption('No');
   htp.formSelectClose;
   htp.p('</td>');
   htp.tableRowClose;
   htp.tableRowOpen('center','center','','NOWRAP','');
   htp.tableHeader('Difficulty Breathing');
   htp.p('<td>');
   htp.formSelectOpen('ibreathing', '', 1);
   htp.formSelectOption('---');
   htp.formSelectOption('Yes');
   htp.formSelectOption('No');
   htp.formSelectClose;
   htp.p('</td>');
   htp.tableHeader('Abdominal pain/nausea/vomiting');
   htp.p('<td>');
   htp.formSelectOpen('iabdominalpnv', '', 1);
   htp.formSelectOption('---');
   htp.formSelectOption('Yes');
   htp.formSelectOption('No');
   htp.formSelectClose;
   htp.p('</td>');
   htp.tableRowClose;
   htp.tableClose;
   htp.br;
   htp.listItem('');
   htp.bold('Other: ');
   htp.br;
   htp.formTextarea('ihother', '3', '80');  
   htp.listItem('');
   htp.bold('Exposure to others with sore throat or known GABHS pharyngitis:');
   htp.br;
   htp.formSelectOpen('iexposure', '', 1);
   htp.formSelectOption('---');
   htp.formSelectOption('Yes');
   htp.formSelectOption('No');
   htp.formSelectClose;
   htp.br;
   htp.listItem('');
   htp.bold('How treated (at home): ');
   htp.formSelectOpen('itreated', '', 1);
   htp.formSelectOption('---');
   htp.formSelectOption('Yes');
   htp.formSelectOption('No');
   htp.formSelectClose;
   htp.br;
   htp.listItem('');
   htp.bold('Has home treatment helped: ');
   htp.formSelectOpen('ihelped', '', 1);
   htp.formSelectOption('---');
   htp.formSelectOption('Yes');
   htp.formSelectOption('No');
   htp.formSelectClose;
---- General Impression ------------------------------
   htp.p('<hr><center><font color="green" size=6>General Impression</font></center><hr>');
   htp.tableOpen(1,'top','NOWRAP','','');
   htp.tableRowOpen('left','center','','NOWRAP','');
   htp.tableHeader('Attention Level');
   htp.p('<td>');
   htp.formSelectOpen('iattention', '', 1);
   htp.formSelectOption('------');
   htp.formSelectOption('Alert');
   htp.formSelectOption('Listless');
   htp.formSelectClose;
   htp.p('</td>');
   htp.tableHeader('Activity Level Level');
   htp.p('<td>');
   htp.formSelectOpen('iactivity', '', 1);
   htp.formSelectOption('-------');
   htp.formSelectOption('Active');
   htp.formSelectOption('Lethargic');
   htp.formSelectClose;
   htp.p('</td>');
   htp.tableRowClose;   
   htp.tableRowOpen('left','center','','NOWRAP','');
   htp.tableHeader('Distress');
   htp.p('<td>');
   htp.formSelectOpen('idistress', '', 1);
   htp.formSelectOption('---------------');
   htp.formSelectOption('In distress');
   htp.formSelectOption('No apparent distress');
   htp.formSelectClose;
   htp.p('</td>');
   htp.tableHeader('Toxic (sick looking)');
   htp.p('<td>');
   htp.formSelectOpen('itoxic', '', 1);
   htp.formSelectOption('---');
   htp.formSelectOption('Yes');
   htp.formSelectOption('No');
   htp.formSelectClose;
   htp.formSelectClose;
   htp.p('</td>');
   htp.tableRowClose;   
   htp.tableClose;   
---- Physical Exam ------------------------------
   htp.p('<hr><center><font color="green" size=6>Physical Examination</font></center><hr>');
-- eyes
   htp.listItem('');
   htp.header(3, 'Eyes');
   htp.tableOpen(1,'top','NOWRAP','','');
   htp.tableRowOpen('center','center','','NOWRAP','');
   htp.tableHeader('Drainage');
   htp.tableHeader('Amount');
   htp.tableHeader('Color');
   htp.tableHeader('Consistency');
   htp.tableRowClose;
   htp.tableRowOpen('center','center','','NOWRAP','');
   htp.p('<td>');
   htp.formSelectOpen('idrainage', '', 1);
   htp.formSelectOption('---');
   htp.formSelectOption('Yes');
   htp.formSelectOption('No');
   htp.formSelectClose;
   htp.p('</td>');
   htp.p('<td>');
   htp.formSelectOpen('idramount', '', 1);
   htp.formSelectOption('--------', 'value="---"');
   htp.formSelectOption('Copious');
   htp.formSelectOption('Large');
   htp.formSelectOption('Moderate');
   htp.formSelectOption('Small');
   htp.formSelectOption('Minimal');
   htp.formSelectClose;
   htp.p('</td>');
   htp.p('<td>');
   htp.formSelectOpen('idrcolor', '', 1);
   htp.formSelectOption('---------', '---------');
   htp.formSelectOption('Clear');
   htp.formSelectOption('Yellow/Green');
   htp.formSelectOption('White');
   htp.formSelectClose;
   htp.p('</td>');
   htp.p('<td>');
   htp.formSelectOpen('idrconsistency', '', 1);
   htp.formSelectOption('--------', 'value="---"');
   htp.formSelectOption('Thin');
   htp.formSelectOption('Think');
   htp.formSelectClose;
   htp.p('</td>');
   htp.tableRowClose;
   htp.tableClose;
-- ears
   htp.listItem('');
   htp.header(3, 'Ears');
   htp.bold('External Canal: ');
   htp.formSelectOpen('iexcanal', '', 1);
   htp.formSelectOption('---');
   htp.formSelectOption('Yes');
   htp.formSelectOption('No');
   htp.formSelectClose;
   htp.br;
   htp.bold('Tympanic Membrane ');
   htp.tableOpen(1,'top','NOWRAP','','');
   htp.tableRowOpen('center','center','','NOWRAP','');
   htp.tableHeader('Color');
   htp.p('<td>');
   htp.formSelectOpen('itmcolor', '', 1);
   htp.formSelectOption('-----');
   htp.formSelectOption('Green');
   htp.formSelectOption('Pink');
   htp.formSelectOption('Red');
   htp.formSelectClose;
   htp.p('</td>');
   htp.tableHeader('Translucency');
   htp.p('<td>');
   htp.formSelectOpen('itmtranslucency', '', 1);
   htp.formSelectOption('------------', '------------');
   htp.formSelectOption('Landmarks Seen');
   htp.formSelectOption('Opaque');
   htp.formSelectClose;
   htp.tableRowClose;
   htp.tableRowOpen('center','center','','NOWRAP','');
   htp.p('</td>');
   htp.tableHeader('Light Reflection');
   htp.p('<td>');
   htp.formSelectOpen('itmreflection', '', 1);
   htp.formSelectOption('------');
   htp.formSelectOption('Present');
   htp.formSelectOption('Diffuse');
   htp.formSelectOption('Absent');
   htp.formSelectClose;
   htp.p('</td>');
   htp.tableHeader('Fluid Visualized');
   htp.p('<td>');
   htp.formSelectOpen('itmfluid', '', 1);
   htp.formSelectOption('---');
   htp.formSelectOption('Yes');
   htp.formSelectOption('No');
   htp.formSelectClose;
   htp.p('</td>');
   htp.tableRowClose;
   htp.tableRowOpen('center','center','','NOWRAP','');
   htp.tableHeader('Retracted');
   htp.p('<td>');
   htp.formSelectOpen('itmretracted', '', 1);
   htp.formSelectOption('---');
   htp.formSelectOption('Yes');
   htp.formSelectOption('No');
   htp.formSelectClose;
   htp.p('</td>');
   htp.tableHeader('Mobility');
   htp.p('<td>');
   htp.formSelectOpen('itmmobility', '', 1);
   htp.formSelectOption('--------', 'value="---"');
   htp.formSelectOption('Yes');
   htp.formSelectOption('No');
   htp.formSelectOption('Diminished');
   htp.formSelectClose;
   htp.p('</td>');
   htp.tableRowClose;
   htp.tableRowOpen('center','center','','NOWRAP','');
   htp.tableHeader('Tympanometer Findings', 'center', null, null, '1', '2', null);
   htp.p('<td colspan=2>');
   htp.formSelectOpen('itmtympanometer', '', 1);
   htp.formSelectOption('-----');
   htp.formSelectOption('Type A');
   htp.formSelectOption('Type B');
   htp.formSelectOption('Type C');
   htp.formSelectClose;
   htp.p('</td>');
   htp.tableRowClose;
   htp.tableClose;
---- Nose ----
   htp.listItem('');
   htp.header(3, 'Nose');
   htp.bold('link to image/video');
   htp.tableOpen(1,'top','NOWRAP','','');
   htp.tableRowOpen('center','center','','NOWRAP','');
   htp.tableHeader('Amount');
   htp.tableHeader('Color');
   htp.tableHeader('Consistency');
   htp.tableRowClose;
   htp.tableRowOpen('center','center','','NOWRAP','');
   htp.p('<td>');
   htp.formSelectOpen('irhamount', '', 1);
   htp.formSelectOption('------');
   htp.formSelectOption('Copious');
   htp.formSelectOption('Large');
   htp.formSelectOption('Moderate');
   htp.formSelectOption('Small');
   htp.formSelectOption('Minimal');
   htp.formSelectClose;
   htp.p('</td>');
   htp.p('<td>');
   htp.formSelectOpen('irhcolor', '', 1);
   htp.formSelectOption('---------', '---------');
   htp.formSelectOption('Clear');
   htp.formSelectOption('Yellow/Green');
   htp.formSelectOption('White');
   htp.formSelectClose;
   htp.p('</td>');
   htp.p('<td>');
   htp.formSelectOpen('irhconsistency', '', 1);
   htp.formSelectOption('----');
   htp.formSelectOption('Thin');
   htp.formSelectOption('Think');
   htp.formSelectClose;
   htp.p('</td>');
   htp.tableRowClose;
   htp.tableClose;
-- mouth
   htp.listItem('');
   htp.header(3, 'Mouth: ');
   htp.formCheckbox('imouth','Good','checked','');
   htp.p('Good');
   htp.formCheckbox('imouth','Ulcers','','');
   htp.p('Ulcers');
   htp.formCheckbox('imouth','Vesicles','','');
   htp.p('Vesicles');
   htp.formCheckbox('imouth','Palatal Petechiae','','');
   htp.p('Palatal Petechiae');
-- throat
   htp.listItem('');
   htp.header(3, 'Throat: ');
   htp.tableOpen(1,'top','NOWRAP','','');
   htp.tableRowOpen('center','center','','NOWRAP','');
   htp.tableHeader('Color');
   htp.p('<td>');
   htp.formSelectOpen('ithcolor', '', 1);
   htp.formSelectOption('---');
   htp.formSelectOption('Pink');
   htp.formSelectOption('Red');
   htp.formSelectClose;
   htp.p('</td>');
   htp.tableHeader('Tonsil Size');
   htp.p('<td>');
   htp.formSelectOpen('ironsilsize', '', 1);
   htp.formSelectOption('--');
   htp.formSelectOption('2+');
   htp.formSelectOption('3+');
   htp.formSelectOption('4+');
   htp.formSelectClose;
   htp.tableRowClose;
   htp.tableRowOpen('center','center','','NOWRAP','');
   htp.tableHeader('Tonsil Symmetrical');
   htp.p('<td>');
   htp.formSelectOpen('itonsilsymm', '', 1);
   htp.formSelectOption('---');
   htp.formSelectOption('Yes');
   htp.formSelectOption('No');
   htp.formSelectClose;
   htp.p('</td>');
   htp.tableHeader('Uvula');
   htp.p('<td>');
   htp.formSelectOpen('iuvula', '', 1);
   htp.formSelectOption('--------');
   htp.formSelectOption('Midline');
   htp.formSelectOption('Displaced');
   htp.formSelectClose;
   htp.p('</td>');
   htp.tableRowClose;
   htp.tableRowOpen('center','center','','NOWRAP','');
   htp.tableHeader('Postnasal Discharge');
   htp.p('<td>');
   htp.formSelectOpen('iposdischarge', '', 1);
   htp.formSelectOption('---');
   htp.formSelectOption('Yes');
   htp.formSelectOption('No');
   htp.formSelectClose;
   htp.p('</td>');
   htp.tableHeader('Ulcers or Vescles');
   htp.p('<td>');
   htp.formSelectOpen('iulcervesicle', '', 1);
   htp.formSelectOption('---');
   htp.formSelectOption('Yes');
   htp.formSelectOption('No');
   htp.formSelectClose;
   htp.p('</td>');
   htp.tableRowClose;
   htp.tableClose;
   htp.tableOpen(1,'top','NOWRAP','','');
   htp.tableRowOpen('center','center','','NOWRAP','');
   htp.tableHeader('Exudate');
   htp.tableHeader('Amount');
   htp.tableHeader('Color');
   htp.tableRowClose;
   htp.p('<td>');
   htp.formSelectOpen('iexudate', '', 1);
   htp.formSelectOption('---');
   htp.formSelectOption('Yes');
   htp.formSelectOption('No');
   htp.formSelectClose;
   htp.p('</td>');
   htp.p('<td>');
   htp.formSelectOpen('iexuamount', '', 1);
   htp.formSelectOption('-------');
   htp.formSelectOption('Large');
   htp.formSelectOption('Moderate');
   htp.formSelectOption('Small');
   htp.formSelectOption('Minimal');
   htp.formSelectClose;
   htp.p('</td>');
   htp.p('<td>');
   htp.formSelectOpen('iexucolor', '', 1);
   htp.formSelectOption('----------', '----------');
   htp.formSelectOption('Grey');
   htp.formSelectOption('Yellow/Green');
   htp.formSelectOption('White');
   htp.formSelectClose;
   htp.p('</td>');
   htp.tableRowClose;
   htp.tableClose;
 -- neck
   htp.listItem('');
   htp.header(3, 'Neck: ');
   htp.tableOpen(1,'top','NOWRAP','','');
   htp.tableRowOpen('center','center','','NOWRAP','');
   htp.tableHeader('Supple');
   htp.p('<td>');
   htp.formSelectOpen('isupple', '', 1);
   htp.formSelectOption('---');
   htp.formSelectOption('Yes');
   htp.formSelectOption('No');
   htp.formSelectClose;
   htp.p('</td>');
   htp.tableHeader('Anterior Cervical Nodes');
   htp.p('<td>');
   htp.formSelectOpen('ianternode', '', 1);
   htp.formSelectOption('---');
   htp.formSelectOption('Yes');
   htp.formSelectOption('No');
   htp.formSelectClose;
   htp.p('</td>');
   htp.tableRowClose;
   htp.tableRowOpen('center','center','','NOWRAP','');
   htp.tableHeader('Posterior Cervical Nodes');
   htp.p('<td>');
   htp.formSelectOpen('iposternode', '', 1);
   htp.formSelectOption('---');
   htp.formSelectOption('Yes');
   htp.formSelectOption('No');
   htp.formSelectClose;
   htp.p('</td>');
   htp.tableHeader('Occipital Nodes');
   htp.p('<td>');
   htp.formSelectOpen('ioccipnode', '', 1);
   htp.formSelectOption('---');
   htp.formSelectOption('Yes');
   htp.formSelectOption('No');
   htp.formSelectClose;
   htp.p('</td>');
   htp.tableRowClose;
   htp.tableClose;
-- chest
   htp.listItem('');
   htp.header(3, 'Chest: ');
   htp.tableOpen(1,'top','NOWRAP','','');
   htp.tableRowOpen('center','center','','NOWRAP','');
   htp.tableHeader('Adventitious Breath sounds');
   htp.p('<td>');
   htp.formSelectOpen('iabsound', '', 1);
   htp.formSelectOption('---');
   htp.formSelectOption('Yes');
   htp.formSelectOption('No');
   htp.formSelectClose;
   htp.p('</td>');
   htp.tableHeader('Crackles');
   htp.p('<td>');
   htp.formSelectOpen('icracle', '', 1);
   htp.formSelectOption('---');
   htp.formSelectOption('Yes');
   htp.formSelectOption('No');
   htp.formSelectClose;
   htp.p('</td>');
   htp.tableRowClose;
   htp.tableRowOpen('center','center','','NOWRAP','');
   htp.tableHeader('Wheezes');
   htp.p('<td>');
   htp.formSelectOpen('iwheeze', '', 1);
   htp.formSelectOption('---');
   htp.formSelectOption('Yes');
   htp.formSelectOption('No');
   htp.formSelectClose;
   htp.p('</td>');
   htp.tableHeader('Rhonchi');
   htp.p('<td>');
   htp.formSelectOpen('irhonchi', '', 1);
   htp.formSelectOption('---');
   htp.formSelectOption('Yes');
   htp.formSelectOption('No');
   htp.formSelectClose;
   htp.p('</td>');
   htp.tableRowClose;
   htp.tableRowOpen('center','center','','NOWRAP','');
   htp.tableHeader('Transmitted Upper Airway Sounds');
   htp.p('<td>');
   htp.formSelectOpen('ituasound', '', 1);
   htp.formSelectOption('---');
   htp.formSelectOption('Yes');
   htp.formSelectOption('No');
   htp.formSelectClose;
   htp.p('</td>');
   htp.tableHeader('Air Entry');
   htp.p('<td>');
   htp.formSelectOpen('iairentry', '', 1);
   htp.formSelectOption('---');
   htp.formSelectOption('Good');
   htp.formSelectOption('Fair');
   htp.formSelectOption('Decreased');
   htp.formSelectClose;
   htp.p('</td>');
   htp.tableRowClose;
   htp.tableClose;
-- Skin rash
   htp.listItem;
   htp.bold('Skin Rash:');
   htp.tableOpen(1,'top','NOWRAP','','');
   htp.tableRowOpen('center','center','','NOWRAP','');
   htp.tableHeader('Location');
   htp.p('<td>');
   htp.formSelectOpen('isrlocation', '', 1);
   htp.formSelectOption('---------', '---------');
   htp.formSelectOption('Chest');
   htp.formSelectOption('Back');
   htp.formSelectOption('Face');
   htp.formSelectOption('Extremities');
   htp.formSelectClose;
   htp.p('</td>');
   htp.tableHeader('Number');
   htp.p('<td>');
   htp.formSelectOpen('isrnumber', '', 1);
   htp.formSelectOption('------------------');
   htp.formSelectOption('Few');
   htp.formSelectOption('many');
   htp.formSelectOption('Too Numerous to Count');
   htp.formSelectClose;
   htp.p('</td>');
   htp.tableRowClose;
   htp.tableRowOpen('center','center','','NOWRAP','');
   htp.tableHeader('Pattern');
   htp.p('<td>');
   htp.formSelectOpen('isrpattern', '', 1);
   htp.formSelectOption('------');
   htp.formSelectOption('Discrete');
   htp.formSelectOption('Confluent');
   htp.formSelectOption('Annular');
   htp.formSelectClose;
   htp.p('</td>');
   htp.tableHeader('Size');
   htp.p('<td>');
   htp.formSelectOpen('isrsize', '', 1);
   htp.formSelectOption('----');
   htp.formSelectOption('1 mm');
   htp.formSelectOption('1-5 mm');
   htp.formSelectOption('>5 mm');
   htp.formSelectClose;
   htp.p('</td>');
   htp.tableRowClose;
   htp.tableRowOpen('center','center','','NOWRAP','');
   htp.tableHeader('Quality');
   htp.p('<td>');
   htp.formSelectOpen('isrquality', '', 1);
   htp.formSelectOption('------------', '------------');
   htp.formSelectOption('Macular');
   htp.formSelectOption('Papular');
   htp.formSelectOption('Macular-Papular');
   htp.formSelectOption('Vesicular');
   htp.formSelectOption('Pustular');
   htp.formSelectOption('Scarlitinaform');
   htp.formSelectClose;
   htp.p('</td>');
   htp.tableHeader('');
   htp.p('<td>');
   htp.p('</td>');
   htp.tableRowClose;
   htp.tableClose;
   htp.listItem('');
   htp.header(3, 'Abdomen: ');
   htp.tableOpen(1,'top','NOWRAP','','');
   htp.tableRowOpen('center','center','','NOWRAP','');
   htp.tableHeader('Soft');
   htp.p('<td>');
   htp.formSelectOpen('isoft', '', 1);
   htp.formSelectOption('---');
   htp.formSelectOption('Yes');
   htp.formSelectOption('No');
   htp.formSelectClose;
   htp.p('</td>');
   htp.tableHeader('Distention');
   htp.p('<td>');
   htp.formSelectOpen('idistention', '', 1);
   htp.formSelectOption('---');
   htp.formSelectOption('Yes');
   htp.formSelectOption('No');
   htp.formSelectClose;
   htp.p('</td>');
   htp.tableRowClose;
   htp.tableRowOpen('center','center','','NOWRAP','');
   htp.p('<td>');
   htp.bold('Organomegaly');
   htp.p('</td>');
   htp.p('<td>');
   htp.formSelectOpen('iorganomegaly', '', 1);
   htp.formSelectOption('---');
   htp.formSelectOption('Yes');
   htp.formSelectOption('No');
   htp.formSelectClose;
   htp.p('</td>');
   htp.tableHeader('Inguinal Nodes');
   htp.p('<td>');
   htp.formSelectOpen('iingunode', '', 1);
   htp.formSelectOption('---');
   htp.formSelectOption('Yes');
   htp.formSelectOption('No');
   htp.formSelectClose;
   htp.p('</td>');
   htp.tableRowClose;
   htp.tableClose;
---- Plan ------------------------------
   htp.p('<hr><center><font color="green" size=6>Plan </font></center><hr>');
   htp.listItem('');
   htp.tableOpen(1,'top','NOWRAP','','');
   htp.tableRowOpen('center','center','','NOWRAP','');
   htp.tableHeader('Plan');
   htp.p('<td>');
   htp.formSelectOpen('iplan', '', 1);
   htp.formSelectOption('------------------');
   htp.formSelectOption('No consult necessary');
   htp.formSelectOption('Consult with nurse practitioner');
   htp.formSelectOption('Refer immediately to MD');
   htp.formSelectOption('Refer immediately to ED');
   htp.formSelectClose;
   htp.p('</td>');
   htp.tableRowClose;
   htp.tableClose;

   htp.formClose;
   cw_util_jguo.pageClose;  
   exception
     when others then
       cw_error.panic(me||': ', sqlerrm);
end;  

---------------------------------------------------------  
procedure delete_page(cookie in varchar2, iid in number) is   
---------------------------------------------------------  
begin  
   me := 'cw_assess_util.update_page';
   cw_bridge.sync(me, cookie);
   this := cw_assess.get(iid);
   htp.formOpen('/owa_careweb/owa/cw_assess.delete_action', 'POST');
   cw_util_jguo.pageOpen('Are you sure to delete this record?'
     ||htf.formSubmit(null, 'Delete')); 
   htp.formHidden('cookie', cookie);
   htp.formHidden('iid', iid);
   cw_assess_util.search_page(cookie, this);
   htp.formClose;
   cw_util_jguo.pageClose;  

end;  

---------------------------------------------------------  
procedure search_page(cookie in varchar2, irow in cw_assess_table%type) is 
---------------------------------------------------------  
begin  
   me := 'cw_assess_util.search_page';
   cw_bridge.sync(me, cookie);
   htp.tableOpen(1,'top','NOWRAP','','');
   htp.p('<center>');
   htp.tableRowOpen('center','center','','NOWRAP','');
   htp.tableHeader('ID');
   htp.tableHeader('Assessment Date');
   htp.tableHeader('Student ID');
   htp.tableHeader('Nurse ID');
   htp.tableRowClose;
  htp.tableRowOpen('center','center','','NOWRAP','');
   htp.tableData(irow.id);
   htp.tableData(irow.day);
   htp.tableData(irow.student_id);
   htp.tableData(irow.nurse_id);
   htp.tableRowClose;
   htp.tableClose;
   htp.p('</center>');
---- Vital Signs ------------------------------
   htp.p('<hr><center><font color="green" size=6>Vital Signs</font></center><hr>');
   htp.tableOpen(1,'top','NOWRAP','','');
   htp.tableRowOpen('center','center','','NOWRAP','');
   htp.tableHeader('Heart Rate');
   htp.tableHeader('Respiratory Rate');
   htp.tableHeader('Temperature');
   htp.tableRowClose;
   htp.tableRowOpen('center','center','','NOWRAP','');
   htp.tableData(irow.heart);
   htp.tableData(irow.respiratory);
   htp.tableData(irow.temperature);
   htp.tableRowClose;
   htp.tableClose;
---- History ------------------------------
   htp.p('<hr><center><font color="green" size=6>History</font></center><hr>');
   htp.listItem('');
   htp.tableOpen(1,'top','NOWRAP','','');
   htp.tableRowOpen('center','center','','NOWRAP','');
   htp.tableHeader('Onset');
   htp.tableHeader('Duration');
   htp.tableRowClose;
   htp.tableRowOpen('center','center','','NOWRAP','');
   htp.tableData(irow.onset);
   htp.tableData(irow.duration);
   htp.tableRowClose;
   htp.tableClose;
   htp.listItem('');
   htp.bold('Related symtoms:');
   htp.br;
   htp.tableOpen(1,'top','NOWRAP','','');
   htp.tableRowOpen('center','center','','NOWRAP','');
   htp.tableHeader('Fever');
   htp.tableHeader('Rash');
   htp.tableHeader('Cough');
   htp.tableHeader('Rhinorrhea');
   htp.tableRowClose;
   htp.tableRowOpen('center','center','','NOWRAP','');
   htp.tableData(irow.fever);
   htp.tableData(irow.rash);
   htp.tableData(irow.cough);
   htp.tableData(irow.rhinorrhea);
   htp.tableRowClose;
   htp.tableRowOpen('center','center','','NOWRAP','');
   htp.tableHeader('Hoarseness');
   htp.tableHeader('Difficulty swallowing');
   htp.tableHeader('Difficulty Breathing');
   htp.tableHeader('Abdominal pain/nausea/vomiting');
   htp.tableRowClose;
   htp.tableRowOpen('center','center','','NOWRAP','');
   htp.tableData(irow.hoarseness);
   htp.tableData(irow.swallowing);
   htp.tableData(irow.breathing);
   htp.tableData(irow.abdominalpnv);
   htp.tableRowClose;
   htp.tableClose;
   htp.tableOpen(1,'top','NOWRAP','','');
   htp.tableRowOpen('center','center','','NOWRAP','');
   htp.tableHeader('Other');
   htp.tableRowClose;
   htp.tableRowOpen('center','center','','NOWRAP','');
   htp.tableData(irow.hother);
   htp.tableRowClose;
   htp.tableClose;
   htp.listItem('');
   htp.tableOpen(1,'top','NOWRAP','','');
   htp.tableRowOpen('center','center','','NOWRAP','');
   htp.tableHeader('Exposure to others with sore throat or known GABHS pharyngitis');
   htp.tableHeader('How treated (at home)');
   htp.tableHeader('Has home treatment helped');
   htp.tableRowClose;
   htp.tableRowOpen('center','center','','NOWRAP','');
   htp.tableData(irow.exposure);
   htp.tableData(irow.treated);
   htp.tableData(irow.helped);
   htp.tableRowClose;
   htp.tableClose;
---- General Impression ------------------------------
   htp.p('<hr><center><font color="green" size=6>General Impression</font></center><hr>');
   htp.tableOpen(1,'top','NOWRAP','','');
   htp.tableRowOpen('center','center','','NOWRAP','');
   htp.tableHeader('Attention Level');
   htp.tableHeader('Activity Level');
   htp.tableHeader('Distress');
   htp.tableHeader('Toxic (sick looking)');
   htp.tableRowClose;   
   htp.tableRowOpen('center','center','','NOWRAP','');
   htp.tableData(irow.attention);
   htp.tableData(irow.activity);
   htp.tableData(irow.distress);
   htp.tableData(irow.toxic);
   htp.tableRowClose;   
   htp.tableClose;
---- Physical Exam ------------------------------
   htp.p('<hr><center><font color="green" size=6>Physical Exam</font></center><hr>');
-- eyes
   htp.listItem('');
   htp.header(3, 'Eyes');
   htp.tableOpen(1,'top','NOWRAP','','');
   htp.tableRowOpen('center','center','','NOWRAP','');
   htp.tableHeader('Drainage');
   htp.tableHeader('Amount');
   htp.tableHeader('Color');
   htp.tableHeader('Consistency');
   htp.tableRowClose;   
   htp.tableRowOpen('center','center','','NOWRAP','');
   htp.tableData(irow.drainage);
   htp.tableData(irow.dramount);
   htp.tableData(irow.drcolor);
   htp.tableData(irow.drconsistency);
   htp.tableRowClose;   
   htp.tableClose;
-- Ears
   htp.listItem('');
   htp.header(3, 'Ears');
   htp.tableOpen(1,'top','NOWRAP','','');
   htp.tableRowOpen('center','center','','NOWRAP','');
   htp.tableHeader('External Canal');
   htp.tableData(irow.excanal);
   htp.tableRowClose;   
   htp.tableClose;
   htp.bold('Tympanic Membrane ');
   htp.tableOpen(1,'top','NOWRAP','','');
   htp.tableRowOpen('center','center','','NOWRAP','');
   htp.tableHeader('Color');
   htp.tableHeader('Translucency');
   htp.tableHeader('Light Reflection');
   htp.tableHeader('Fluid Visualized');
   htp.tableRowClose;   
   htp.tableRowOpen('center','center','','NOWRAP','');
   htp.tableData(irow.tmcolor);
   htp.tableData(irow.tmtranslucency);
   htp.tableData(irow.tmreflection);
   htp.tableData(irow.tmfluid);
   htp.tableRowClose;   
   htp.tableRowOpen('center','center','','NOWRAP','');
   htp.tableHeader('Retracted');
   htp.tableHeader('Mobility');
   htp.tableHeader('Tympanometer Findings');
   htp.tableRowClose;   
   htp.tableRowOpen('center','center','','NOWRAP','');
   htp.tableData(irow.tmretracted);
   htp.tableData(irow.tmmobility);
   htp.tableData(irow.tmtympanometer);
   htp.tableRowClose;
   htp.tableClose;
---- Nose ----
   htp.listItem('');
   htp.header(3, 'Nose (Rhinorrhea):');
   htp.tableOpen(1,'top','NOWRAP','','');
   htp.tableRowOpen('center','center','','NOWRAP','');
   htp.tableHeader('Amount');
   htp.tableHeader('Color');
   htp.tableHeader('Consistency');
   htp.tableRowClose;   
   htp.tableRowOpen('center','center','','NOWRAP','');
   htp.tableData(irow.rhamount);
   htp.tableData(irow.rhcolor);
   htp.tableData(irow.rhconsistency);
   htp.tableRowClose;   
   htp.tableClose;
-- mouth
   htp.listItem('');
   htp.header(3, 'Mouth: ');
   htp.tableOpen(1,'top','NOWRAP','','');
   htp.tableRowOpen('center','center','','NOWRAP','');
   htp.tableHeader('Mouth');
   htp.tableData(irow.mouth);
   htp.tableRowClose;   
   htp.tableClose;
-- throat
   htp.listItem('');
   htp.header(3, 'Throat: ');
   htp.tableOpen(1,'top','NOWRAP','','');
   htp.tableRowOpen('center','center','','NOWRAP','');
   htp.tableHeader('Color');
   htp.tableHeader('Tonsil Size');
   htp.tableHeader('Tonsil Symmetrical');
   htp.tableRowClose;   
   htp.tableRowOpen('center','center','','NOWRAP','');
   htp.tableData(irow.thcolor);
   htp.tableData(irow.ronsilsize);
   htp.tableData(irow.tonsilsymm);
   htp.tableRowClose;   
   htp.tableRowOpen('center','center','','NOWRAP','');
   htp.tableHeader('Uvula');
   htp.tableHeader('Postnasal Discharge');
   htp.tableHeader('Ulcers or Vescles');
   htp.tableRowClose;   
   htp.tableRowOpen('center','center','','NOWRAP','');
   htp.tableData(irow.uvula);
   htp.tableData(irow.posdischarge);
   htp.tableData(irow.ulcervesicle);
   htp.tableRowClose;   
   htp.tableClose;
   htp.tableOpen(1,'top','NOWRAP','','');
   htp.tableRowOpen('center','center','','NOWRAP','');
   htp.tableHeader('Exudate');
   htp.tableHeader('Amount');
   htp.tableHeader('Color');
   htp.tableRowClose;   
   htp.tableRowOpen('center','center','','NOWRAP','');
   htp.tableData(irow.exudate);
   htp.tableData(irow.exuamount);
   htp.tableData(irow.exucolor);
   htp.tableRowClose;   
   htp.tableClose;
-- neck
   htp.listItem('');
   htp.header(3, 'Neck: ');
   htp.tableOpen(1,'top','NOWRAP','','');
   htp.tableRowOpen('center','center','','NOWRAP','');
   htp.tableHeader('Supple');
   htp.tableHeader('Anterior Cervical Nodes');
   htp.tableHeader('Posterior Cervical Nodes');
   htp.tableHeader('Occipital Nodes');
   htp.tableRowClose;   
   htp.tableRowOpen('center','center','','NOWRAP','');
   htp.tableData(irow.supple);
   htp.tableData(irow.anternode);
   htp.tableData(irow.posternode);
   htp.tableData(irow.occipnode);
   htp.tableRowClose;   
   htp.tableClose;
-- chest
   htp.listItem('');
   htp.header(3, 'Chest: ');
   htp.tableOpen(1,'top','NOWRAP','','');
   htp.tableRowOpen('center','center','','NOWRAP','');
   htp.tableHeader('Adventitious Breath Sounds');
   htp.tableHeader('Air Entry');
   htp.tableRowClose;   
   htp.tableRowOpen('center','center','','NOWRAP','');
   htp.tableData(irow.absound);
   htp.tableData(irow.airentry);
   htp.tableRowClose;   
   htp.tableClose;
   htp.tableOpen(1,'top','NOWRAP','','');
   htp.tableRowOpen('center','center','','NOWRAP','');
   htp.tableHeader('Crackles');
   htp.tableHeader('Wheezes');
   htp.tableHeader('Rhonchi');
   htp.tableHeader('Transmitted Upper Airway Sounds');
   htp.tableRowClose;   
   htp.tableRowOpen('center','center','','NOWRAP','');
   htp.tableData(irow.cracle);
   htp.tableData(irow.wheeze);
   htp.tableData(irow.rhonchi);
   htp.tableData(irow.tuasound);
   htp.tableRowClose;   
   htp.tableClose;
   htp.listItem('');
-- Skin Rash
   htp.header(3, 'Skin Rash:');
   htp.tableOpen(1,'top','NOWRAP','','');
   htp.tableRowOpen('center','center','','NOWRAP','');
   htp.tableHeader('Location');
   htp.tableHeader('Number');
   htp.tableHeader('Pattern');
   htp.tableRowClose;   
   htp.tableRowOpen('center','center','','NOWRAP','');
   htp.tableData(irow.srlocation);
   htp.tableData(irow.srnumber);
   htp.tableData(irow.srpattern);
   htp.tableRowClose;   
   htp.tableRowOpen('center','center','','NOWRAP','');
   htp.tableHeader('Size');
   htp.tableHeader('Quality');
   htp.tableRowClose;   
   htp.tableRowOpen('center','center','','NOWRAP','');
   htp.tableData(irow.srsize);
   htp.tableData(irow.srquality);
   htp.tableRowClose;   
   htp.tableClose;
-- Abdomen
   htp.listItem('');
   htp.header(3, 'Abdomen: ');
   htp.tableOpen(1,'top','NOWRAP','','');
   htp.tableRowOpen('center','center','','NOWRAP','');
   htp.tableHeader('Soft');
   htp.tableHeader('Distention');
   htp.tableHeader('Organomegaly');
   htp.tableHeader('Inguinal Nodes');
   htp.tableRowClose;   
   htp.tableRowOpen('center','center','','NOWRAP','');
   htp.tableData(irow.soft);
   htp.tableData(irow.distention);
   htp.tableData(irow.organomegaly);
   htp.tableData(irow.ingunode);
   htp.tableRowClose;   
   htp.tableClose;
---- Plan ------------------------------
   htp.p('<hr><center><font color="green" size=6>Plan</font></center><hr>');
   htp.tableOpen(1,'top','NOWRAP','','');
   htp.tableRowOpen('center','center','','NOWRAP','');
   htp.tableHeader('Plan');
   htp.tableData(irow.plan);
   htp.tableRowClose;   
   htp.tableClose;
   exception
     when others then
       cw_error.panic(me||': ', sqlerrm);
end;  

---------------------------------------------------------  
procedure action_echo(cookie in varchar2, irow in cw_assess_table%type, iaction in varchar2) is  
---------------------------------------------------------  
begin  
   me := 'cw_assess_util.action_echo';
   cw_bridge.sync(me, cookie);
   cw_util_jguo.pageOpen('The following Pharyngitis assessment has been '||iaction); 
   htp.headOpen;
   htp.headClose;
   htp.bodyOpen;
   htp.formOpen('/owa_careweb/owa/cw_assess_util.action', 'POST');
   cw_assess_util.search_page(cookie, irow);
   htp.formClose;
   cw_util_jguo.pageClose;  
   exception
     when others then
       cw_error.panic(me|| ': ', sqlerrm);
end;  

---------------------------------------------------------  
-- begin
--	this.id := 0;
-- end;
---------------------------------------------------------  

---------------------------------------------------------  
end;  
---------------------------------------------------------  
/
show errors;
-- /
---------------------------------------------------------  
create or replace package body cw_assess_util1 is  
---------------------------------------------------------  
  me varchar2(64);
  this cw_assess_table%type;
  id_null exception;
--
---------------------------------------------------------  
procedure update_page(cookie in varchar2, iid in number) is  
---------------------------------------------------------  
begin  
   me := 'cw_assess_util.update_page';
   cw_bridge.sync(me, cookie);
   htp.formOpen('/owa_careweb/owa/cw_assess.update_action', 'POST');
   cw_util_jguo.editpageOpen('Modify Pharyngitis Assessment Record', 'Reset', 'Modify'); 
   select * into this from cw_assess_table 
     where id = iid;
   htp.formHidden('cookie', cookie);
   htp.p('<center>');
   htp.tableOpen(1,'top','NOWRAP','','');
   htp.tableRowOpen('center','center','','NOWRAP','');
   htp.tableHeader('Assessment Date');
   htp.tableRowOpen('center','center','','NOWRAP','');
   htp.p('<td>');
   cw_util_jguo.select_date('iday', this.day, '1980', '2010');
   htp.p('</td>');
   htp.tableRowClose;
   htp.tableClose;
   htp.p('</center>');
---- Vital Signs ------------------------------
   htp.p('<hr><center><font color="green" size=6>Vital Signs</font></center><hr>');
   htp.tableOpen(1,'top','NOWRAP','','');
   htp.tableRowOpen('center','center','','NOWRAP','');
   htp.tableHeader('Heart Rate');
   htp.tableHeader('Respiratory Rate');
   htp.tableHeader('Temperature');
   htp.tableRowOpen('center','center','','NOWRAP','');
   htp.tableRowClose;
   htp.tableData(htf.formText('iheart', '20', '20', this.heart));
   htp.tableData(htf.formText('irespiratory', '20', '20', this.respiratory));
   htp.tableData(htf.formText('itemperature', '20', '20', this.temperature));
   htp.tableRowClose;
   htp.tableClose;
---- History ------------------------------
   htp.p('<hr><center><font color="green" size=6>History</font></center><hr>');
   htp.listItem('');
   htp.tableOpen(1,'top','NOWRAP','','');
   htp.tableRowOpen('center','center','','NOWRAP','');
   htp.tableHeader('Onset:');
   htp.p('<td>');
      htp.formSelectOpen('ionset', '', 1);
   htp.formSelectOption('--------', cw_util_jguo.equalto('--------',this.onset));
   htp.formSelectOption('Gradual', cw_util_jguo.equalto('Gradual',this.onset));
   htp.formSelectOption('Sudden', cw_util_jguo.equalto('Sudden',this.onset));
   htp.formSelectClose;
   htp.p('</td>');
   htp.tableHeader('Duration:');
   htp.p('<td>');
   htp.formSelectOpen('iduration', '', 1);
   htp.formSelectOption('--------', cw_util_jguo.equalto('--------',this.duration));
   htp.formSelectOption('24 hours', cw_util_jguo.equalto('24 hours',this.duration));
   htp.formSelectOption('24-48 hours', cw_util_jguo.equalto('24-48 hours',this.duration));
   htp.formSelectOption('3-7 days', cw_util_jguo.equalto('3-7 days',this.duration));
   htp.formSelectOption('>7 days', cw_util_jguo.equalto('>7 days',this.duration));
   htp.formSelectClose;
   htp.p('</td>');
   htp.tableRowClose;
   htp.tableClose;
   htp.listItem('');
   htp.bold('Related symtoms:');
   htp.br;
   htp.tableOpen(1,'top','NOWRAP','','');
   htp.tableRowOpen('center','center','','NOWRAP','');
   htp.tableHeader('Fever');
   htp.p('<td>');
   htp.formSelectOpen('ifever', '', 1);
   htp.formSelectOption('---', cw_util_jguo.equalto('---',this.fever));
   htp.formSelectOption('Yes', cw_util_jguo.equalto('Yes',this.fever));
   htp.formSelectOption('No', cw_util_jguo.equalto('No',this.fever));
   htp.formSelectClose;
   htp.p('</td>');
   htp.tableHeader('Rash');
   htp.p('<td>');
   htp.formSelectOpen('irash', '', 1);
   htp.formSelectOption('---', cw_util_jguo.equalto('---',this.rash));
   htp.formSelectOption('Yes', cw_util_jguo.equalto('Yes',this.rash));
   htp.formSelectOption('No', cw_util_jguo.equalto('No',this.rash));
   htp.formSelectClose;
   htp.tableRowClose;
   htp.p('</td>');
   htp.tableRowOpen('center','center','','NOWRAP','');
   htp.tableHeader('Cough');
   htp.p('<td>');
   htp.formSelectOpen('icough', '', 1);
   htp.formSelectOption('---', cw_util_jguo.equalto('---',this.cough));
   htp.formSelectOption('Yes', cw_util_jguo.equalto('Yes',this.cough));
   htp.formSelectOption('No', cw_util_jguo.equalto('No',this.cough));
   htp.formSelectClose;
   htp.p('</td>');
   htp.tableHeader('Rhinorrhea');
   htp.p('<td>');
   htp.formSelectOpen('irhinorrhea', '', 1);
   htp.formSelectOption('---', cw_util_jguo.equalto('---',this.rhinorrhea));
   htp.formSelectOption('Yes', cw_util_jguo.equalto('Yes',this.rhinorrhea));
   htp.formSelectOption('No', cw_util_jguo.equalto('No',this.rhinorrhea));
   htp.formSelectClose;
   htp.p('</td>');
   htp.tableRowClose;
   htp.tableRowOpen('center','center','','NOWRAP','');
   htp.tableHeader('Hoarseness');
   htp.p('<td>');
   htp.formSelectOpen('ihoarseness', '', 1);
   htp.formSelectOption('---', cw_util_jguo.equalto('---',this.hoarseness));
   htp.formSelectOption('Yes', cw_util_jguo.equalto('Yes',this.hoarseness));
   htp.formSelectOption('No', cw_util_jguo.equalto('No',this.hoarseness));
   htp.formSelectClose;
   htp.p('</td>');
   htp.tableHeader('Difficulty swallowing');
   htp.p('<td>');
   htp.formSelectOpen('iswallowing', '', 1);
   htp.formSelectOption('---', cw_util_jguo.equalto('---',this.swallowing));
   htp.formSelectOption('Yes', cw_util_jguo.equalto('Yes',this.swallowing));
   htp.formSelectOption('No', cw_util_jguo.equalto('No',this.swallowing));
   htp.formSelectClose;
   htp.p('</td>');
   htp.tableRowClose;
   htp.tableRowOpen('center','center','','NOWRAP','');
   htp.tableHeader('Difficulty Breathing');
   htp.p('<td>');
   htp.formSelectOpen('ibreathing', '', 1);
   htp.formSelectOption('---', cw_util_jguo.equalto('---',this.breathing));
   htp.formSelectOption('Yes', cw_util_jguo.equalto('Yes',this.breathing));
   htp.formSelectOption('No', cw_util_jguo.equalto('No',this.breathing));
   htp.formSelectClose;
   htp.p('</td>');
   htp.tableHeader('Abdominal pain/nausea/vomiting');
   htp.p('<td>');
   htp.formSelectOpen('iabdominalpnv', '', 1);
   htp.formSelectOption('---', cw_util_jguo.equalto('---',this.abdominalpnv));
   htp.formSelectOption('Yes', cw_util_jguo.equalto('Yes',this.abdominalpnv));
   htp.formSelectOption('No', cw_util_jguo.equalto('No',this.abdominalpnv));
   htp.formSelectClose;
   htp.p('</td>');
   htp.tableRowClose;
   htp.tableClose;
   htp.br;
   htp.listItem('');
   htp.bold('Other: ');
   htp.br;
--   htp.formTextarea('ihother', '3', '80', 'left', 'value="'||this.hother||'"');  
   htp.p('<textarea name="ihother" rows="3" cols="80" align="left">'||this.hother||'</textarea>');  
   htp.listItem('');
   htp.bold('Exposure to others with sore throat or known GABHS pharyngitis:');
   htp.br;
   htp.formSelectOpen('iexposure', '', 1);
   htp.formSelectOption('---', cw_util_jguo.equalto('---',this.exposure));
   htp.formSelectOption('Yes', cw_util_jguo.equalto('Yes',this.exposure));
   htp.formSelectOption('No', cw_util_jguo.equalto('No',this.exposure));
   htp.formSelectClose;
   htp.br;
   htp.listItem('');
   htp.bold('How treated (at home): ');
   htp.formSelectOpen('itreated', '', 1);
   htp.formSelectOption('---', cw_util_jguo.equalto('---',this.treated));
   htp.formSelectOption('Yes', cw_util_jguo.equalto('Yes',this.treated));
   htp.formSelectOption('No', cw_util_jguo.equalto('No',this.treated));
   htp.formSelectClose;
   htp.br;
   htp.listItem('');
   htp.bold('Has home treatment helped: ');
   htp.formSelectOpen('ihelped', '', 1);
   htp.formSelectOption('---', cw_util_jguo.equalto('---',this.helped));
   htp.formSelectOption('Yes', cw_util_jguo.equalto('Yes',this.helped));
   htp.formSelectOption('No', cw_util_jguo.equalto('No',this.helped));
   htp.formSelectClose;
---- General Impression ------------------------------
   htp.p('<hr><center><font color="green" size=6>General Impression</font></center><hr>');
   htp.tableOpen(1,'top','NOWRAP','','');
   htp.tableRowOpen('left','center','','NOWRAP','');
   htp.tableHeader('Attention Level');
   htp.p('<td>');
   htp.formSelectOpen('iattention', '', 1);
   htp.formSelectOption('------', cw_util_jguo.equalto('------',this.attention));
   htp.formSelectOption('Alert', cw_util_jguo.equalto('Alert',this.attention));
   htp.formSelectOption('Listless', cw_util_jguo.equalto('Listless',this.attention));
   htp.formSelectClose;
   htp.p('</td>');
   htp.tableHeader('Activity Level Level');
   htp.p('<td>');
   htp.formSelectOpen('iactivity', '', 1);
   htp.formSelectOption('-------', cw_util_jguo.equalto('-------',this.activity));
   htp.formSelectOption('Active', cw_util_jguo.equalto('Active',this.activity));
   htp.formSelectOption('Lethargic', cw_util_jguo.equalto('Lethargic',this.activity));
   htp.formSelectClose;
   htp.p('</td>');
   htp.tableRowClose;   
   htp.tableRowOpen('left','center','','NOWRAP','');
   htp.tableHeader('Distress');
   htp.p('<td>');
   htp.formSelectOpen('idistress', '', 1);
   htp.formSelectOption('---------------', cw_util_jguo.equalto('---------------',this.distress));
   htp.formSelectOption('In distress', cw_util_jguo.equalto('In distress',this.distress));
   htp.formSelectOption('No apparent distress', cw_util_jguo.equalto('No apparent distress',this.distress));
   htp.formSelectClose;
   htp.p('</td>');
   htp.tableHeader('Toxic (sick looking)');
   htp.p('<td>');
   htp.formSelectOpen('itoxic', '', 1);
   htp.formSelectOption('---', cw_util_jguo.equalto('---',this.toxic));
   htp.formSelectOption('Yes', cw_util_jguo.equalto('Yes',this.toxic));
   htp.formSelectOption('No', cw_util_jguo.equalto('No',this.toxic));
   htp.formSelectClose;
   htp.formSelectClose;
   htp.p('</td>');
   htp.tableRowClose;   
   htp.tableClose;   
---- Physical Exam ------------------------------
   htp.p('<hr><center><font color="green" size=6>Physical Examination</font></center><hr>');
-- eyes
   htp.listItem('');
   htp.header(3, 'Eyes');
   htp.tableOpen(1,'top','NOWRAP','','');
   htp.tableRowOpen('center','center','','NOWRAP','');
   htp.tableHeader('Drainage');
   htp.tableHeader('Amount');
   htp.tableHeader('Color');
   htp.tableHeader('Consistency');
   htp.tableRowClose;
   htp.tableRowOpen('center','center','','NOWRAP','');
   htp.p('<td>');
   htp.formSelectOpen('idrainage', '', 1);
   htp.formSelectOption('---', cw_util_jguo.equalto('---',this.drainage));
   htp.formSelectOption('Yes', cw_util_jguo.equalto('Yes',this.drainage));
   htp.formSelectOption('No', cw_util_jguo.equalto('No',this.drainage));
   htp.formSelectClose;
   htp.p('</td>');
   htp.p('<td>');
   htp.formSelectOpen('idramount', '', 1);
   htp.formSelectOption('------', cw_util_jguo.equalto('------',this.dramount));
   htp.formSelectOption('Copious', cw_util_jguo.equalto('Copious',this.dramount));
   htp.formSelectOption('Large', cw_util_jguo.equalto('Large',this.dramount));
   htp.formSelectOption('Moderate', cw_util_jguo.equalto('Moderate',this.dramount));
   htp.formSelectOption('Small', cw_util_jguo.equalto('Small',this.dramount));
   htp.formSelectOption('Minimal', cw_util_jguo.equalto('Minimal',this.dramount));
   htp.formSelectClose;
   htp.p('</td>');
   htp.p('<td>');
   htp.formSelectOpen('idrcolor', '', 1);
   htp.formSelectOption('--------', cw_util_jguo.equalto('--------',this.drcolor));
   htp.formSelectOption('Clear', cw_util_jguo.equalto('Clear',this.drcolor));
   htp.formSelectOption('Yellow/Green', cw_util_jguo.equalto('Yellow/Green',this.drcolor));
   htp.formSelectOption('White', cw_util_jguo.equalto('White',this.drcolor));
   htp.formSelectClose;
   htp.p('</td>');
   htp.p('<td>');
   htp.formSelectOpen('idrconsistency', '', 1);
   htp.formSelectOption('---', cw_util_jguo.equalto('---',this.drconsistency));
   htp.formSelectOption('Thin', cw_util_jguo.equalto('Thin',this.drconsistency));
   htp.formSelectOption('Think', cw_util_jguo.equalto('Think',this.drconsistency));
   htp.formSelectClose;
   htp.p('</td>');
   htp.tableRowClose;
   htp.tableClose;
-- ears
   htp.listItem('');
   htp.header(3, 'Ears');
   htp.bold('External Canal: ');
   htp.formSelectOpen('iexcanal', '', 1);
   htp.formSelectOption('---', cw_util_jguo.equalto('---',this.excanal));
   htp.formSelectOption('Yes', cw_util_jguo.equalto('Yes',this.excanal));
   htp.formSelectOption('No', cw_util_jguo.equalto('No',this.excanal));
   htp.formSelectClose;
   htp.br;
   htp.bold('Tympanic Membrane ');
   htp.tableOpen(1,'top','NOWRAP','','');
   htp.tableRowOpen('center','center','','NOWRAP','');
   htp.tableHeader('Color');
   htp.p('<td>');
   htp.formSelectOpen('itmcolor', '', 1);
   htp.formSelectOption('-----', cw_util_jguo.equalto('-----',this.tmcolor));
   htp.formSelectOption('Grey', cw_util_jguo.equalto('Grey',this.tmcolor));
   htp.formSelectOption('Pink', cw_util_jguo.equalto('Pink',this.tmcolor));
   htp.formSelectOption('Red', cw_util_jguo.equalto('Red',this.tmcolor));
   htp.formSelectClose;
   htp.p('</td>');
   htp.tableHeader('Translucency');
   htp.p('<td>');
   htp.formSelectOpen('itmtranslucency', '', 1);
   htp.formSelectOption('----------', cw_util_jguo.equalto('----------',this.tmtranslucency));
   htp.formSelectOption('Landmarks Seen', cw_util_jguo.equalto('Landmarks Seen',this.tmtranslucency));
   htp.formSelectOption('Opaque', cw_util_jguo.equalto('Opaque',this.tmtranslucency));
   htp.formSelectClose;
   htp.tableRowClose;
   htp.tableRowOpen('center','center','','NOWRAP','');
   htp.p('</td>');
   htp.tableHeader('Light Reflection');
   htp.p('<td>');
   htp.formSelectOpen('itmreflection', '', 1);
   htp.formSelectOption('-----', cw_util_jguo.equalto('-----',this.tmreflection));
   htp.formSelectOption('Present', cw_util_jguo.equalto('Present',this.tmreflection));
   htp.formSelectOption('Diffuse', cw_util_jguo.equalto('Diffuse',this.tmreflection));
   htp.formSelectOption('Absent', cw_util_jguo.equalto('Absent',this.tmreflection));
   htp.formSelectClose;
   htp.p('</td>');
   htp.tableHeader('Fluid Visualized');
   htp.p('<td>');
   htp.formSelectOpen('itmfluid', '', 1);
   htp.formSelectOption('---', cw_util_jguo.equalto('---',this.tmfluid));
   htp.formSelectOption('Yes', cw_util_jguo.equalto('Yes',this.tmfluid));
   htp.formSelectOption('No', cw_util_jguo.equalto('No',this.tmfluid));
   htp.formSelectClose;
   htp.p('</td>');
   htp.tableRowClose;
   htp.tableRowOpen('center','center','','NOWRAP','');
   htp.tableHeader('Retracted');
   htp.p('<td>');
   htp.formSelectOpen('itmretracted', '', 1);
   htp.formSelectOption('---', cw_util_jguo.equalto('---',this.tmretracted));
   htp.formSelectOption('Yes', cw_util_jguo.equalto('Yes',this.tmretracted));
   htp.formSelectOption('No', cw_util_jguo.equalto('No',this.tmretracted));
   htp.formSelectClose;
   htp.p('</td>');
   htp.tableHeader('Mobility');
   htp.p('<td>');
   htp.formSelectOpen('itmmobility', '', 1);
   htp.formSelectOption('---', cw_util_jguo.equalto('---',this.tmmobility));
   htp.formSelectOption('Yes', cw_util_jguo.equalto('Yes',this.tmmobility));
   htp.formSelectOption('No', cw_util_jguo.equalto('No',this.tmmobility));
   htp.formSelectOption('Diminished', cw_util_jguo.equalto('Diminished',this.tmmobility));
   htp.formSelectClose;
   htp.p('</td>');
   htp.tableRowClose;
   htp.tableRowOpen('center','center','','NOWRAP','');
   htp.tableHeader('Tympanometer Findings', 'center', null, null, '1', '2', null);
   htp.p('<td colspan=2>');
   htp.formSelectOpen('itmtympanometer', '', 1);
   htp.formSelectOption('-----', cw_util_jguo.equalto('-----',this.tmtympanometer));
   htp.formSelectOption('Type A', cw_util_jguo.equalto('Type A',this.tmtympanometer));
   htp.formSelectOption('Type B', cw_util_jguo.equalto('Type B',this.tmtympanometer));
   htp.formSelectOption('Type C', cw_util_jguo.equalto('Type C',this.tmtympanometer));
   htp.formSelectClose;
   htp.p('</td>');
   htp.tableRowClose;
   htp.tableClose;
---- Nose ----
   htp.listItem('');
   htp.header(3, 'Nose');
   htp.bold('link to image/video');
   htp.tableOpen(1,'top','NOWRAP','','');
   htp.tableRowOpen('center','center','','NOWRAP','');
   htp.tableHeader('Amount');
   htp.tableHeader('Color');
   htp.tableHeader('Consistency');
   htp.tableRowClose;
   htp.tableRowOpen('center','center','','NOWRAP','');
   htp.p('<td>');
   htp.formSelectOpen('irhamount', '', 1);
   htp.formSelectOption('------', cw_util_jguo.equalto('------',this.rhamount));
   htp.formSelectOption('Copious', cw_util_jguo.equalto('Copious',this.rhamount));
   htp.formSelectOption('Large', cw_util_jguo.equalto('Large',this.rhamount));
   htp.formSelectOption('Moderate', cw_util_jguo.equalto('Moderate',this.rhamount));
   htp.formSelectOption('Small', cw_util_jguo.equalto('Small',this.rhamount));
   htp.formSelectOption('Minimal', cw_util_jguo.equalto('Minimal',this.rhamount));
   htp.formSelectClose;
   htp.p('</td>');
   htp.p('<td>');
   htp.formSelectOpen('irhcolor', '', 1);
   htp.formSelectOption('-------', cw_util_jguo.equalto('-------',this.rhcolor));
   htp.formSelectOption('Clear', cw_util_jguo.equalto('Clear',this.rhcolor));
   htp.formSelectOption('Yellow/Green', cw_util_jguo.equalto('Yellow/Green',this.rhcolor));
   htp.formSelectOption('White', cw_util_jguo.equalto('White',this.rhcolor));
   htp.formSelectClose;
   htp.p('</td>');
   htp.p('<td>');
   htp.formSelectOpen('irhconsistency', '', 1);
   htp.formSelectOption('---', cw_util_jguo.equalto('---',this.rhconsistency));
   htp.formSelectOption('Thin', cw_util_jguo.equalto('Thin',this.rhconsistency));
   htp.formSelectOption('Think', cw_util_jguo.equalto('Think',this.rhconsistency));
   htp.formSelectClose;
   htp.p('</td>');
   htp.tableRowClose;
   htp.tableClose;
-- mouth
   htp.listItem('');
   htp.header(3, 'Mouth: ');
   htp.formCheckbox('imouth','Good',cw_util_jguo.equalto('Good',this.mouth),'');
   htp.p('Good');
   htp.formCheckbox('imouth','Ulcers',cw_util_jguo.equalto('Ulcers',this.mouth),'');
   htp.p('Ulcers');
   htp.formCheckbox('imouth','Vesicles',cw_util_jguo.equalto('Vesicles',this.mouth),'');
   htp.p('Vesicles');
   htp.formCheckbox('imouth','Palatal Petechiae',cw_util_jguo.equalto('Palatal Petechiae',this.mouth),'');
   htp.p('Palatal Petechiae');
-- throat
   htp.listItem('');
   htp.header(3, 'Throat: ');
   htp.tableOpen(1,'top','NOWRAP','','');
   htp.tableRowOpen('center','center','','NOWRAP','');
   htp.tableHeader('Color');
   htp.p('<td>');
   htp.formSelectOpen('ithcolor', '', 1);
   htp.formSelectOption('---', cw_util_jguo.equalto('---',this.thcolor));
   htp.formSelectOption('Pink', cw_util_jguo.equalto('Pink',this.thcolor));
   htp.formSelectOption('Red', cw_util_jguo.equalto('Red',this.thcolor));
   htp.formSelectClose;
   htp.p('</td>');
   htp.tableHeader('Tonsil Size');
   htp.p('<td>');
   htp.formSelectOpen('ironsilsize', '', 1);
   htp.formSelectOption('---', cw_util_jguo.equalto('---',this.ronsilsize));
   htp.formSelectOption('2+', cw_util_jguo.equalto('2+',this.ronsilsize));
   htp.formSelectOption('3+', cw_util_jguo.equalto('3+',this.ronsilsize));
   htp.formSelectOption('4+', cw_util_jguo.equalto('4+',this.ronsilsize));
   htp.formSelectClose;
   htp.tableRowClose;
   htp.tableRowOpen('center','center','','NOWRAP','');
   htp.tableHeader('Tonsil Symmetrical');
   htp.p('<td>');
   htp.formSelectOpen('itonsilsymm', '', 1);
   htp.formSelectOption('---', cw_util_jguo.equalto('---',this.tonsilsymm));
   htp.formSelectOption('Yes', cw_util_jguo.equalto('Yes',this.tonsilsymm));
   htp.formSelectOption('No', cw_util_jguo.equalto('No',this.tonsilsymm));
   htp.formSelectClose;
   htp.p('</td>');
   htp.tableHeader('Uvula');
   htp.p('<td>');
   htp.formSelectOpen('iuvula', '', 1);
   htp.formSelectOption('-------', cw_util_jguo.equalto('-------',this.uvula));
   htp.formSelectOption('Midline', cw_util_jguo.equalto('Midline',this.uvula));
   htp.formSelectOption('Displaced', cw_util_jguo.equalto('Displaced',this.uvula));
   htp.formSelectClose;
   htp.p('</td>');
   htp.tableRowClose;
   htp.tableRowOpen('center','center','','NOWRAP','');
   htp.tableHeader('Postnasal Discharge');
   htp.p('<td>');
   htp.formSelectOpen('iposdischarge', '', 1);
   htp.formSelectOption('---', cw_util_jguo.equalto('---',this.posdischarge));
   htp.formSelectOption('Yes', cw_util_jguo.equalto('Yes',this.posdischarge));
   htp.formSelectOption('No', cw_util_jguo.equalto('No',this.posdischarge));
   htp.formSelectClose;
   htp.p('</td>');
   htp.tableHeader('Ulcers or Vescles');
   htp.p('<td>');
   htp.formSelectOpen('iulcervesicle', '', 1);
   htp.formSelectOption('---', cw_util_jguo.equalto('---',this.ulcervesicle));
   htp.formSelectOption('Yes', cw_util_jguo.equalto('Yes',this.ulcervesicle));
   htp.formSelectOption('No', cw_util_jguo.equalto('No',this.ulcervesicle));
   htp.formSelectClose;
   htp.p('</td>');
   htp.tableRowClose;
   htp.tableClose;
   htp.tableOpen(1,'top','NOWRAP','','');
   htp.tableRowOpen('center','center','','NOWRAP','');
   htp.tableHeader('Exudate');
   htp.tableHeader('Amount');
   htp.tableHeader('Color');
   htp.tableRowClose;
   htp.p('<td>');
   htp.formSelectOpen('iexudate', '', 1);
   htp.formSelectOption('---', cw_util_jguo.equalto('---',this.exudate));
   htp.formSelectOption('Yes', cw_util_jguo.equalto('Yes',this.exudate));
   htp.formSelectOption('No', cw_util_jguo.equalto('No',this.exudate));
   htp.formSelectClose;
   htp.p('</td>');
   htp.p('<td>');
   htp.formSelectOpen('iexuamount', '', 1);
   htp.formSelectOption('------', cw_util_jguo.equalto('------',this.exuamount));
   htp.formSelectOption('Large', cw_util_jguo.equalto('Large',this.exuamount));
   htp.formSelectOption('Moderate', cw_util_jguo.equalto('Moderate',this.exuamount));
   htp.formSelectOption('Small', cw_util_jguo.equalto('Small',this.exuamount));
   htp.formSelectOption('Minimal', cw_util_jguo.equalto('Minimal',this.exuamount));
   htp.formSelectClose;
   htp.p('</td>');
   htp.p('<td>');
   htp.formSelectOpen('iexucolor', '', 1);
   htp.formSelectOption('-------', cw_util_jguo.equalto('-------',this.exucolor));
   htp.formSelectOption('Grey', cw_util_jguo.equalto('Grey',this.exucolor));
   htp.formSelectOption('Yellow/Green', cw_util_jguo.equalto('Yellow/Green',this.exucolor));
   htp.formSelectOption('White', cw_util_jguo.equalto('White',this.exucolor));
   htp.formSelectClose;
   htp.p('</td>');
   htp.tableRowClose;
   htp.tableClose;
 -- neck
   htp.listItem('');
   htp.header(3, 'Neck: ');
   htp.tableOpen(1,'top','NOWRAP','','');
   htp.tableRowOpen('center','center','','NOWRAP','');
   htp.tableHeader('Supple');
   htp.p('<td>');
   htp.formSelectOpen('isupple', '', 1);
   htp.formSelectOption('---', cw_util_jguo.equalto('---',this.supple));
   htp.formSelectOption('Yes', cw_util_jguo.equalto('Yes',this.supple));
   htp.formSelectOption('No', cw_util_jguo.equalto('No',this.supple));
   htp.formSelectClose;
   htp.p('</td>');
   htp.tableHeader('Anterior Cervical Nodes');
   htp.p('<td>');
   htp.formSelectOpen('ianternode', '', 1);
   htp.formSelectOption('---', cw_util_jguo.equalto('---',this.anternode));
   htp.formSelectOption('Yes', cw_util_jguo.equalto('Yes',this.anternode));
   htp.formSelectOption('No', cw_util_jguo.equalto('No',this.anternode));
   htp.formSelectClose;
   htp.p('</td>');
   htp.tableRowClose;
   htp.tableRowOpen('center','center','','NOWRAP','');
   htp.tableHeader('Posterior Cervical Nodes');
   htp.p('<td>');
   htp.formSelectOpen('iposternode', '', 1);
   htp.formSelectOption('---', cw_util_jguo.equalto('---',this.posternode));
   htp.formSelectOption('Yes', cw_util_jguo.equalto('Yes',this.posternode));
   htp.formSelectOption('No', cw_util_jguo.equalto('No',this.posternode));
   htp.formSelectClose;
   htp.p('</td>');
   htp.tableHeader('Occipital Nodes');
   htp.p('<td>');
   htp.formSelectOpen('ioccipnode', '', 1);
   htp.formSelectOption('---', cw_util_jguo.equalto('---',this.occipnode));
   htp.formSelectOption('Yes', cw_util_jguo.equalto('Yes',this.occipnode));
   htp.formSelectOption('No', cw_util_jguo.equalto('No',this.occipnode));
   htp.formSelectClose;
   htp.p('</td>');
   htp.tableRowClose;
   htp.tableClose;
-- chest
   htp.listItem('');
   htp.header(3, 'Chest: ');
   htp.tableOpen(1,'top','NOWRAP','','');
   htp.tableRowOpen('center','center','','NOWRAP','');
   htp.tableHeader('Adventitious Breath sounds');
   htp.p('<td>');
   htp.formSelectOpen('iabsound', '', 1);
   htp.formSelectOption('---', cw_util_jguo.equalto('---',this.absound));
   htp.formSelectOption('Yes', cw_util_jguo.equalto('Yes',this.absound));
   htp.formSelectOption('No', cw_util_jguo.equalto('No',this.absound));
   htp.formSelectClose;
   htp.p('</td>');
   htp.tableHeader('Crackles');
   htp.p('<td>');
   htp.formSelectOpen('icracle', '', 1);
   htp.formSelectOption('---', cw_util_jguo.equalto('---',this.cracle));
   htp.formSelectOption('Yes', cw_util_jguo.equalto('Yes',this.cracle));
   htp.formSelectOption('No', cw_util_jguo.equalto('No',this.cracle));
   htp.formSelectClose;
   htp.p('</td>');
   htp.tableRowClose;
   htp.tableRowOpen('center','center','','NOWRAP','');
   htp.tableHeader('Wheezes');
   htp.p('<td>');
   htp.formSelectOpen('iwheeze', '', 1);
   htp.formSelectOption('---', cw_util_jguo.equalto('---',this.wheeze));
   htp.formSelectOption('Yes', cw_util_jguo.equalto('Yes',this.wheeze));
   htp.formSelectOption('No', cw_util_jguo.equalto('No',this.wheeze));
   htp.formSelectClose;
   htp.p('</td>');
   htp.tableHeader('Rhonchi');
   htp.p('<td>');
   htp.formSelectOpen('irhonchi', '', 1);
   htp.formSelectOption('---', cw_util_jguo.equalto('---',this.rhonchi));
   htp.formSelectOption('Yes', cw_util_jguo.equalto('Yes',this.rhonchi));
   htp.formSelectOption('No', cw_util_jguo.equalto('No',this.rhonchi));
   htp.formSelectClose;
   htp.p('</td>');
   htp.tableRowClose;
   htp.tableRowOpen('center','center','','NOWRAP','');
   htp.tableHeader('Transmitted Upper Airway Sounds');
   htp.p('<td>');
   htp.formSelectOpen('ituasound', '', 1);
   htp.formSelectOption('---', cw_util_jguo.equalto('---',this.tuasound));
   htp.formSelectOption('Yes', cw_util_jguo.equalto('Yes',this.tuasound));
   htp.formSelectOption('No', cw_util_jguo.equalto('No',this.tuasound));
   htp.formSelectClose;
   htp.p('</td>');
   htp.tableHeader('Air Entry');
   htp.p('<td>');
   htp.formSelectOpen('iairentry', '', 1);
   htp.formSelectOption('---', cw_util_jguo.equalto('---',this.airentry));
   htp.formSelectOption('Good', cw_util_jguo.equalto('Good',this.airentry));
   htp.formSelectOption('Fair', cw_util_jguo.equalto('Fair',this.airentry));
   htp.formSelectOption('Decreased', cw_util_jguo.equalto('Decreased',this.airentry));
   htp.formSelectClose;
   htp.p('</td>');
   htp.tableRowClose;
   htp.tableClose;
-- Skin rash
   htp.listItem;
   htp.bold('Skin Rash:');
   htp.tableOpen(1,'top','NOWRAP','','');
   htp.tableRowOpen('center','center','','NOWRAP','');
   htp.tableHeader('Location');
   htp.p('<td>');
   htp.formSelectOpen('isrlocation', '', 1);
   htp.formSelectOption('-------', cw_util_jguo.equalto('-------',this.srlocation));
   htp.formSelectOption('Chest', cw_util_jguo.equalto('Chest',this.srlocation));
   htp.formSelectOption('Back', cw_util_jguo.equalto('Back',this.srlocation));
   htp.formSelectOption('Face', cw_util_jguo.equalto('Face',this.srlocation));
   htp.formSelectOption('Extremities', cw_util_jguo.equalto('Extremities',this.srlocation));
   htp.formSelectClose;
   htp.p('</td>');
   htp.tableHeader('Number');
   htp.p('<td>');
   htp.formSelectOpen('isrnumber', '', 1);
   htp.formSelectOption('----------', cw_util_jguo.equalto('----------',this.srnumber));
   htp.formSelectOption('Few', cw_util_jguo.equalto('Few',this.srnumber));
   htp.formSelectOption('Many', cw_util_jguo.equalto('Many',this.srnumber));
   htp.formSelectOption('Too Numerous to Count', cw_util_jguo.equalto('Too Numerous to Count',this.srnumber));
   htp.formSelectClose;
   htp.p('</td>');
   htp.tableRowClose;
   htp.tableRowOpen('center','center','','NOWRAP','');
   htp.tableHeader('Pattern');
   htp.p('<td>');
   htp.formSelectOpen('isrpattern', '', 1);
   htp.formSelectOption('----', cw_util_jguo.equalto('----',this.srpattern));
   htp.formSelectOption('Discrete', cw_util_jguo.equalto('Discrete',this.srpattern));
   htp.formSelectOption('Confluent', cw_util_jguo.equalto('Confluent',this.srpattern));
   htp.formSelectOption('Annular', cw_util_jguo.equalto('Annular',this.srpattern));
   htp.formSelectClose;
   htp.p('</td>');
   htp.tableHeader('Size');
   htp.p('<td>');
   htp.formSelectOpen('isrsize', '', 1);
   htp.formSelectOption('----', cw_util_jguo.equalto('----',this.srsize));
   htp.formSelectOption('1 mm', cw_util_jguo.equalto('1 mm',this.srsize));
   htp.formSelectOption('1-5 mm', cw_util_jguo.equalto('1-5 mm',this.srsize));
   htp.formSelectOption('>5 mm', cw_util_jguo.equalto('>5 mm',this.srsize));
   htp.formSelectClose;
   htp.p('</td>');
   htp.tableRowClose;
   htp.tableRowOpen('center','center','','NOWRAP','');
   htp.tableHeader('Quality');
   htp.p('<td>');
   htp.formSelectOpen('isrquality', '', 1);
   htp.formSelectOption('------', cw_util_jguo.equalto('------',this.srquality));
   htp.formSelectOption('Macular', cw_util_jguo.equalto('Macular',this.srquality));
   htp.formSelectOption('Papular', cw_util_jguo.equalto('Papular',this.srquality));
   htp.formSelectOption('Macular-Papular', cw_util_jguo.equalto('Macular-Papular',this.srquality));
   htp.formSelectOption('Vesicular', cw_util_jguo.equalto('Vesicular',this.srquality));
   htp.formSelectOption('Pustular', cw_util_jguo.equalto('Pustular',this.srquality));
   htp.formSelectOption('Scarlitinaform', cw_util_jguo.equalto('Scarlitinaform',this.srquality));
   htp.formSelectClose;
   htp.p('</td>');
   htp.tableHeader('');
   htp.p('<td>');
   htp.p('</td>');
   htp.tableRowClose;
   htp.tableClose;
   htp.listItem('');
   htp.header(3, 'Abdomen: ');
   htp.tableOpen(1,'top','NOWRAP','','');
   htp.tableRowOpen('center','center','','NOWRAP','');
   htp.tableHeader('Soft');
   htp.p('<td>');
   htp.formSelectOpen('isoft', '', 1);
   htp.formSelectOption('---', cw_util_jguo.equalto('---',this.soft));
   htp.formSelectOption('Yes', cw_util_jguo.equalto('Yes',this.soft));
   htp.formSelectOption('No', cw_util_jguo.equalto('No',this.soft));
   htp.formSelectClose;
   htp.p('</td>');
   htp.tableHeader('Distention');
   htp.p('<td>');
   htp.formSelectOpen('idistention', '', 1);
   htp.formSelectOption('---', cw_util_jguo.equalto('---',this.distention));
   htp.formSelectOption('Yes', cw_util_jguo.equalto('Yes',this.distention));
   htp.formSelectOption('No', cw_util_jguo.equalto('No',this.distention));
   htp.formSelectClose;
   htp.p('</td>');
   htp.tableRowClose;
   htp.tableRowOpen('center','center','','NOWRAP','');
   htp.p('<td>');
   htp.bold('Organomegaly');
   htp.p('</td>');
   htp.p('<td>');
   htp.formSelectOpen('iorganomegaly', '', 1);
   htp.formSelectOption('---', cw_util_jguo.equalto('---',this.organomegaly));
   htp.formSelectOption('Yes', cw_util_jguo.equalto('Yes',this.organomegaly));
   htp.formSelectOption('No', cw_util_jguo.equalto('No',this.organomegaly));
   htp.formSelectClose;
   htp.p('</td>');
   htp.tableHeader('Inguinal Nodes');
   htp.p('<td>');
   htp.formSelectOpen('iingunode', '', 1);
   htp.formSelectOption('---', cw_util_jguo.equalto('---',this.ingunode));
   htp.formSelectOption('Yes', cw_util_jguo.equalto('Yes',this.ingunode));
   htp.formSelectOption('No', cw_util_jguo.equalto('No',this.ingunode));
   htp.formSelectClose;
   htp.p('</td>');
   htp.tableRowClose;
   htp.tableClose;
---- Plan ------------------------------
   htp.p('<hr><center><font color="green" size=6>Plan </font></center><hr>');
   htp.listItem('');
   htp.tableOpen(1,'top','NOWRAP','','');
   htp.tableRowOpen('center','center','','NOWRAP','');
   htp.tableHeader('Plan');
   htp.p('<td>');
   htp.formSelectOpen('iplan', '', 1);
   htp.formSelectOption('------------------', cw_util_jguo.equalto('------------------',this.plan));
   htp.formSelectOption('No consult necessary', cw_util_jguo.equalto('No consult necessary',this.plan));
   htp.formSelectOption('Consult with nurse practitioner', cw_util_jguo.equalto('Consult with nurse practitioner',this.plan));
   htp.formSelectOption('Refer immediately to MD', cw_util_jguo.equalto('Refer immediately to MD',this.plan));
   htp.formSelectOption('Refer immediately to ED', cw_util_jguo.equalto('Refer immediately to ED',this.plan));
   htp.formSelectClose;
   htp.p('</td>');
   htp.tableRowClose;
   htp.tableClose;
   cw_util_jguo.pageClose;  
   exception
     when others then
       cw_error.panic(me||': ', sqlerrm);
end;  


---------------------------------------------------------  
end;  
---------------------------------------------------------  
/
show errors;
-- /


