--------------------------------------------------------------------------
-- people who connected to CareWeb
--------------------------------------------------------------------------

drop sequence cw_customer_seq;
drop table cw_customer_table;

create table cw_customer_table (
id		number(6)	primary key,
username	varchar2(32),	-- unique user keyword
password	varchar2(32),	-- user password
person_id	number(6),	-- person (foreign) key
role		number(2),	-- grant identifier (nurse, guest etc.)
conn_count	number(6),	-- connection count
first_tx_id	number(6),	-- first transaction (foreign) key
last_tx_id	number(6)	-- last transaction (foreign) key
);

create sequence cw_customer_seq;
