-----------------------------------------------------------------------------
create or replace package cw_doctor_util is
-----------------------------------------------------------------------------
procedure directory_table(cookie in varchar2, r in cw_doctor_table%rowtype);
procedure consult_form(cookie in varchar2,r in cw_doctor_table%rowtype); 
end;
/
show errors
------------------------------------------------------------------------------
create or replace package body cw_doctor_util is
------------------------------------------------------------------------------ 
procedure directory_table(cookie in varchar2, r in cw_doctor_table%rowtype) is
begin
   htp.tableOpen(cattributes=>'border=5 cellpad=5 callmargin=5');

   htp.tableRowOpen;
   htp.tableData(htf.anchor(
	'cw_npract_util.diffdiag?cookie='||cookie,
	'<font size=5>Differential Diagnoses</font>'));
   htp.tableData(' ');
   htp.tableData(' ');
   htp.tableData(htf.anchor(
	'cw_npract_util.parentinfo?cookie='||cookie,
	'<font size=5>Parent Information Resources</font>'));
    htp.tableRowClose;
  
   htp.tableRowOpen;
   htp.tableData(htf.anchor(
	'cw_npract_util.mgmalg?cookie='||cookie,
	'<font size=5>Management Algorithms</font>'));
   htp.tableData(' ');
   htp.tableData(' ');  
   htp.tableData(htf.anchor(
	'cw_npract_util.medicsheets?cookie='||cookie,
	'<font size=5>Medication Fact Sheets for Parents</font>'));
   htp.tableRowClose;

   htp.tableRowOpen;
   htp.tableData(htf.anchor(
	'cw_npract_util.disinfo?cookie='||cookie,
	'<font size=5>Disease Information Resources</font>'));
   htp.tableData(' ');
   htp.tableData(' ');
   htp.tableData(htf.anchor(
	'cw_npract_util.drugform?cookie='||cookie,
	'<font size=5>Drug Formulary</font>'));
   htp.tableRowClose;  

   htp.tableRowOpen;
   htp.tableData(htf.anchor(
	'cw_student_mgr.home_cmd?cookie='||cookie,
	'<font size=5>Student Health Records</font>'));
   htp.tableData(' ');
   htp.tableData(' ');
   htp.tableData(htf.anchor(
	'cw_npract_util.digipres?cookie='||cookie,
	'<font size=5>Electronic Prescriptions</font>'));
   htp.tableRowClose;  

   htp.tableClose;
end;
------------------------------------------------------------------------------
procedure consult_form(cookie in varchar2,r in cw_doctor_table%rowtype) is
begin
   htp.p('<font size=5>');
   htp.formSubmit('consult',' Video ');
   htp.formSubmit('consult',' Audio ');
   htp.formSubmit('consult',' White Board ');
   htp.formSubmit('consult',' Web Chat ');
   htp.p('</font>');

end;
------------------------------------------------------------------------------ 
end;
/
show errors
