-----------------------------------------------------------------------------
create or replace package cw_nurse_util is
-----------------------------------------------------------------------------
procedure directory_table(cookie in varchar2, r in cw_nurse_table%rowtype);
end;
/
show errors
------------------------------------------------------------------------------
create or replace package body cw_nurse_util is
------------------------------------------------------------------------------ 
procedure directory_table(cookie in varchar2, r in cw_nurse_table%rowtype) is
begin
   htp.tableOpen(cattributes=>'border=5 cellpad=5 callmargin=5');


   htp.tableRowOpen;
   htp.tableData(htf.anchor(
	'cw_student_mgr.home_cmd?cookie='||cookie,
	'<font size=6>Student Health Records</font>'));
   htp.tableRowClose;

   htp.tableRowOpen;
   htp.tableData(htf.anchor(
	'cw_nursedu_mgr.home_cmd?cookie='||cookie,
	'<font size=6>School Nurse Educational Resources</font>'));
   htp.tableRowClose; 

   htp.tableRowOpen;
   htp.tableData(htf.anchor(
	'cw_assess_mgr.home_cmd?cookie='||cookie,
	'<font size=6>Focused Assessment Processes</font>'));
   htp.tableRowClose; 
 
   htp.tableRowOpen;
   htp.tableData(htf.anchor(
	'cw_parnote_mgr.home_cmd?cookie='||cookie,
	'<font size=6>Notes to Parents</font>'));
   htp.tableRowClose;  
 
   htp.tableRowOpen;
   htp.tableData(htf.anchor(
	'cw_parinfo_mgr.home_cmd?cookie='||cookie,
	'<font size=6>Parent Information Resources</font>'));
   htp.tableRowClose;  

   htp.tableRowOpen;
   htp.tableData(htf.anchor(
	'cw_childedu_mgr.home_cmd?cookie='||cookie,
	'<font size=6>Child Health Teaching</font>'));
   htp.tableRowClose;  

   htp.tableRowOpen;
   htp.tableData(htf.anchor(
	'cw_medicinfo_mgr.home_cmd?cookie='||cookie,
	'<font size=6>Medication Fact Sheets for Parents</font>'));
   htp.tableRowClose;  

   htp.tableClose;
end;
------------------------------------------------------------------------------ 
end;
/
show errors
