--------------------------------------------------------------------------
-- people who are related to CareWeb
--------------------------------------------------------------------------

drop sequence cw_person_seq;
drop table cw_person_table;

create table cw_person_table (
id		number(6)	primary key,
first_name	varchar2(32),	-- first name
middle_name	varchar2(32),	-- middle name
last_name	varchar2(32),	-- last name
nick_name	varchar2(32),	-- nick name
gender		varchar2(1),	-- M or F
dob		varchar2(32),	-- date of birth
lang_id		number(4),	-- native language (foreign) key
media_url	varchar2(64),	-- dir with photo.gif, sound.ra, video.mpeg
affiliation	varchar2(64),	-- school, hospital, company etc.
street		varchar2(32),	-- e.g. '201 Physics Building'
city		varchar2(32),	-- e.g. 'Syracuse'
state		varchar2(2),	-- e.g. 'NY'
zip		varchar2(32),	-- e.g. '13244-1130'
county		varchar2(32),	-- e.g. 'Onondaga'
country		varchar2(32),	-- e.g. 'U.S.A'
phone		varchar2(32),	-- e.g. '(315) 443-3891'
fax		varchar2(32),	-- e.g. '(315) 443-9103'
email		varchar2(32),	-- e.g. furm@npac.syr.edu
url		varchar2(64),	-- personal home page
description	varchar2(2000),	-- personal note
comments	varchar2(2000)	-- our note about this person
);

create sequence cw_person_seq;
