-----------------------------------------------------------------------------
create or replace package cw_person_util is
-----------------------------------------------------------------------------
procedure create_form;
procedure modify_form(r in cw_person_table%rowtype);
procedure show_form(r in cw_person_table%rowtype);
end;
/
show errors
------------------------------------------------------------------------------
create or replace package body cw_person_util is
------------------------------------------------------------------------------
procedure create_form is
begin
         htp.tableOpen('BORDER',null,null,null,'CELLSPACING=3 CELLPADDING=3');
            htp.tableRowOpen('RIGHT','MIDDLE');	
                htp.tableHeader('First Name','CENTER','NOWRAP');                 
                htp.tableHeader('Middle Name','CENTER','NOWRAP');                 
                htp.tableHeader('Last Name','CENTER','NOWRAP');                           
                htp.tableHeader('Nick Name','CENTER','NOWRAP');
           htp.tableRowOpen('RIGHT','MIDDLE');
                htp.tableData(htf.formText('first_name',20));
                htp.tableData(htf.formText('middle_name',20));
                htp.tableData(htf.formText('last_name',20));
                htp.tableData(htf.formText('nick_name',20));
	htp.tableClose; 
      
         htp.tableOpen('BORDER' ,null,null,null,'CELLSPACING=3 CELLPADDING=3');          
            htp.tableRowOpen('RIGHT','MIDDLE');                
                htp.tableHeader('Sex','CENTER'); 
                htp.tableHeader('Born','CENTER','NOWRAP');
                htp.tableHeader('Language','CENTER','NOWRAP');
		htp.tableHeader('Media URL','CENTER','NOWRAP');
		htp.tableHeader('Affiliation','CENTER','NOWRAP');
            htp.tableRowOpen('RIGHT','MIDDLE');
                htp.tableData(htf.formText('gender',1),'CENTER');                                            
                htp.tableData(htf.formText('dob',9));                                  
                htp.tableData(htf.formText('language',10));
		htp.tableData(htf.formText('media_url',30));
		htp.tableData(htf.formText('affiliation',27));
         htp.tableClose;
	
         htp.tableOpen('BORDER' ,null,null,null,'CELLSPACING=3 CELLPADDING=3');            
            htp.tableRowOpen('RIGHT','MIDDLE');
                htp.tableHeader('Street','CENTER','NOWRAP');
                htp.tableHeader('City','CENTER','NOWRAP');
                htp.tableHeader('State','CENTER','NOWRAP');
                htp.tableHeader('ZIP','CENTER','NOWRAP');
                htp.tableHeader('County','CENTER','NOWRAP');
                htp.tableHeader('Country','CENTER','NOWRAP');
            htp.tableRowOpen('RIGHT','MIDDLE');
                htp.tableData(htf.formText('street',28));			              
                htp.tableData(htf.formText('city',16));			                          
                htp.tableData(htf.formText('state',2));                
                htp.tableData(htf.formText('zip',10));
                htp.tableData(htf.formText('county',10));                 
                htp.tableData(htf.formText('country',8));
                htp.tableClose;
	  
            htp.tableOpen('BORDER' ,null,null,null,'CELLSPACING=3 CELLPADDING=3');                   
            htp.tableRowOpen('RIGHT','MIDDLE');
                htp.tableHeader('Phone','CENTER','NOWRAP');
                htp.tableHeader('Fax','CENTER','NOWRAP');
                htp.tableHeader('Email','CENTER','NOWRAP');
                htp.tableHeader('URL','CENTER','NOWRAP');
            htp.tableRowOpen('CENTER','MIDDLE');               
                htp.tableData(htf.formText('phone',15));                 
                htp.tableData(htf.formText('fax',15));                 
                htp.tableData(htf.formText('email',20));                            
                htp.tableData(htf.formText('url',30));
           htp.tableClose;
  	 
           htp.tableOpen('BORDER' ,null,null,null,'CELLSPACING=3 CELLPADDING=3');             
                htp.formHidden('description',null);
            htp.tableRowOpen('RIGHT','MIDDLE');
                htp.tableHeader('Comments','CENTER','NOWRAP');          
                htp.tableData(htf.formTextarea('comments',2,77));
            htp.tableClose;
end;
-------------------------------------------------------------------------------
procedure modify_form(r in cw_person_table%rowtype) is
begin
         htp.tableOpen('BORDER',null,null,null,'CELLSPACING=3 CELLPADDING=3');
            htp.tableRowOpen('RIGHT','MIDDLE');	
                htp.tableHeader('First Name','CENTER','NOWRAP');                 
                htp.tableHeader('Middle Name','CENTER','NOWRAP');                 
                htp.tableHeader('Last Name','CENTER','NOWRAP');                           
                htp.tableHeader('Nick Name','CENTER','NOWRAP');
           htp.tableRowOpen('RIGHT','MIDDLE');
                htp.tableData(htf.formText('first_name',20,
			null,r.first_name));
                htp.tableData(htf.formText('middle_name',20,
			null,r.middle_name));
                htp.tableData(htf.formText('last_name',20,
			null,r.last_name));
                htp.tableData(htf.formText('nick_name',20,
			null,r.nick_name));
	htp.tableClose; 
      
         htp.tableOpen('BORDER' ,null,null,null,'CELLSPACING=3 CELLPADDING=3');          
            htp.tableRowOpen('RIGHT','MIDDLE');                
                htp.tableHeader('Sex','CENTER'); 
                htp.tableHeader('Born','CENTER','NOWRAP');
                htp.tableHeader('Language','CENTER','NOWRAP');
		htp.tableHeader('Media URL','CENTER','NOWRAP');
		htp.tableHeader('Affiliation','CENTER','NOWRAP');
            htp.tableRowOpen('RIGHT','MIDDLE');
                htp.tableData(htf.formText('gender',1,
			null,r.gender),'CENTER');                                            
                htp.tableData(htf.formText('dob',9,
			null,r.dob));                                  
                htp.tableData(htf.formText('language',10,
			null,null,'English'));
		htp.tableData(htf.formText('media_url',30,
			null,r.media_url));
		htp.tableData(htf.formText('affiliation',27,
			null,r.affiliation));
         htp.tableClose;
	
         htp.tableOpen('BORDER' ,null,null,null,'CELLSPACING=3 CELLPADDING=3');            
            htp.tableRowOpen('RIGHT','MIDDLE');
                htp.tableHeader('Street','CENTER','NOWRAP');
                htp.tableHeader('City','CENTER','NOWRAP');
                htp.tableHeader('State','CENTER','NOWRAP');
                htp.tableHeader('ZIP','CENTER','NOWRAP');
                htp.tableHeader('County','CENTER','NOWRAP');
                htp.tableHeader('Country','CENTER','NOWRAP');
            htp.tableRowOpen('RIGHT','MIDDLE');
                htp.tableData(htf.formText('street',28,
			null,r.street));			              
                htp.tableData(htf.formText('city',16,
			null,r.city));			                          
                htp.tableData(htf.formText('state',2,
			null,r.state));                
                htp.tableData(htf.formText('zip',10,
			null,r.zip));
                htp.tableData(htf.formText('county',10,
			null,r.county));                 
                htp.tableData(htf.formText('country',8,
			null,r.country));
                htp.tableClose;
	  
            htp.tableOpen('BORDER' ,null,null,null,'CELLSPACING=3 CELLPADDING=3');                   
            htp.tableRowOpen('RIGHT','MIDDLE');
                htp.tableHeader('Phone','CENTER','NOWRAP');
                htp.tableHeader('Fax','CENTER','NOWRAP');
                htp.tableHeader('Email','CENTER','NOWRAP');
                htp.tableHeader('URL','CENTER','NOWRAP');
            htp.tableRowOpen('CENTER','MIDDLE');               
                htp.tableData(htf.formText('phone',15,
			null,r.phone));                 
                htp.tableData(htf.formText('fax',15,
			null,r.fax));                 
                htp.tableData(htf.formText('email',20,
			null,r.email));                            
                htp.tableData(htf.formText('url',30,
			null,r.url));
           htp.tableClose;
  	 
           htp.tableOpen('BORDER' ,null,null,null,'CELLSPACING=3 CELLPADDING=3');             
                htp.formHidden('description',null);
            htp.tableRowOpen('RIGHT','MIDDLE');
                htp.tableHeader('Comments','CENTER','NOWRAP');          
                htp.tableData(htf.formTextareaOpen('comments',2,77)||
			r.comments||htf.formTextareaClose);
            htp.tableClose;
end;
-------------------------------------------------------------------------------

procedure show_form(r in cw_person_table%rowtype) is
photo_url varchar2(128);
media_url varchar2(128);
begin
       media_url := 'http://www.npac.syr.edu/users/sangeeta/media_url/';
       if r.media_url is null then
	   photo_url := 
	   '/careweb/img/shrideep.jpg';
       else
	   photo_url := media_url||r.media_url||'/photo.gif';
       end if;
       htp.tableOpen('BORDER',null,null,null,'CELLSPACING=3 CELLPADDING=3');   
       htp.tableRowOpen('CENTER','MIDDLE');
       htp.tableHeader(htf.img(
		photo_url,'LEFT',null,null,'ROWSPAN=3'));
       htp.p('<TD>');
       htp.tableOpen;
       htp.tableRowOpen('CENTER','MIDDLE'); 
         htp.tableHeader('Name :','RIGHT',null,'midnightblue');
         htp.tableData(r.first_name||' '||r.middle_name||' '|| r.last_name,'LEFT',null,'brown');      
	 htp.tableRowOpen('CENTER','MIDDLE');
         htp.tableHeader('Affiliation :','RIGHT',null,'green');
         htp.tableData(r.affiliation,'LEFT',null,'chocolate');    
       htp.tableRowOpen('CENTER','MIDDLE');
      htp.tableRowOpen('CENTER','MIDDLE');
         htp.tableHeader('Born :','RIGHT',null,'gray');
         htp.tableData(r.dob,'LEFT','firebrick'); 
         htp.tableHeader('Gender :','RIGHT',null,'maroon');
         htp.tableData(r.gender,'LEFT',null,'fuchsia');
      htp.tableRowOpen('CENTER','MIDDLE');
         htp.tableHeader('Street :','RIGHT',null,null);
         htp.tableData(r.street,'LEFT');
	 htp.tableHeader('County :','RIGHT',null,null);
	 htp.tableData(r.county,'LEFT');
      htp.tableRowOpen('CENTER','MIDDLE');
         htp.tableHeader('City :','RIGHT',null,null);
         htp.tableData(r.city||' '||r.state||' '||r.zip,'LEFT');
         htp.tableHeader('Country  :','RIGHT',null,null);
         htp.tableData(r.country,'LEFT');
      htp.tableRowOpen('CENTER','MIDDLE');
         htp.tableHeader('Phone :','RIGHT',null,null);
         htp.tableData(r.phone,'LEFT');
         htp.tableHeader('Fax :','RIGHT',null,null);
         htp.tableData(r.fax,'LEFT');
      htp.tableRowOpen('CENTER','MIDDLE');
         htp.tableHeader('Email :','RIGHT',null,null);
         htp.tableData(htf.mailto(r.email,r.email),'LEFT');
         htp.tableHeader('URL :','RIGHT',null,null);
         htp.tableData(htf.anchor(cw_util.getURL,'Homepage'),'LEFT');

      htp.tableClose;
      htp.tableHeader(htf.img(
'/careweb/img/careweb_icon.gif','RIGHT'));   
      htp.tableClose;
      htp.tableOpen('BORDER',null,null,null,'CELLSPACING=3 CELLPADDING=3');        
         htp.tableRowOpen('CENTER','MIDDLE');
	 htp.tableData(r.comments);    
      htp.tableClose;
end;   
------------------------------------------------------------------------------   
end;
/
show errors
