create or replace  PROCEDURE    PEDIATRIC_DIAGNOSIS                                    
                         is                                                     
                                                                                
begin                                                                           
htp.htmlOpen;                                                                   
htp.title('Pediatric Differential Diagnosis - Pharyngitis');                    
htp.p('<body bgcolor=ivory>');                                                  
htp.hr;                                                                         
htp.p('<font color=navy size=7><center><b>Pediatric Differential Diagnosis 
- Pharyngitis</b></font></center>');                                                 
htp.hr;                                                                         
htp.nl;                                                                         
htp.bodyOpen;                                                                   
htp.tableOpen('BORDER','CENTER',NULL,NULL,'WIDTH=100%');                        
htp.tableRowOpen('CENTER','MIDDLE');                                            
htp.tableData; 
htp.p('<th align=center nowrap width="10%"><font color=red>Adenovirus</font>');
htp.p('<th align=center nowrap width="15%"><font color=red>Herpangina</font>');
htp.p('<th align=center width="10%"><font color=red>Infectious Mononucleosis</font>');
htp.p('<th align=center width="20%"><font color=red>GBAHS</font>');
htp.p('<th align=center width="45%"><font color=red>Gonoccocal</font>');
/*                                                                 
htp.tableHeader('<font color=red>Adenovirus','CENTER','NOWRAP',NULL,NULL,NULL,NULL,'WIDTH=10%');                                                                
htp.tableHeader('<font color=red>Herpangina','CENTER','NOWRAP',NULL,NULL,NULL,NULL,'WIDTH=15%');                                                                
htp.tableHeader('<font color=red>Infectious Mononucleosis','CENTER',NULL,NULL,NULL,NULL,NULL,'WIDTH=10%');                                                      
htp.tableHeader('<font color=red>GBAHS','CENTER','NOWRAP',NULL,NULL,NULL,NULL,'WIDTH=20%');                                                                     
htp.tableHeader('<font color=red>Gonoccocal','CENTER','NOWRAP',NULL,NULL,NULL,NULL,'WIDTH=45%');                                                                

*/
htp.tableRowOpen('CENTER','MIDDLE');                                            
htp.tableHeader('<font color=green>Nature of Patient','CENTER');                
htp.p('<td align=center nowrap width="10%"><b>All ages</b>');
htp.p('<td align=center nowrap width="10%"><b>Children < 6yrs</b>');
htp.p('<td align=left nowrap width="15%"><b>All ages, most common 12-21 years of age</b>');
htp.p('<td align=left nowrap width="15%"><b>Uncommon in chidren < 2yrs, peak incidence:
 6-12 years of age</b>');
htp.p('<td align=left nowrap width="15%"><b>Sexually abused children, sexually active adolescents</b>');
/*
htp.tableData('<b>All ages','CENTER',NULL,NULL,NULL,NULL,NULL,'WIDTH=10%');     
htp.tableData('<b>Children < 6yrs','CENTER',NULL,NULL,NULL,NULL,NULL,'WIDTH=10%');                                                                              
                                                                                
htp.tableData('<b>All ages, most common 12-21 years of age','LEFT',NULL,NULL,
NULL,NULL,NULL,'WIDTH=15%');                                                                                                                                    
htp.tableData('<b>Uncommon in chidren < 2yrs, peak incidence: 6-12 years of age ',
'LEFT',NULL,NULL,NULL,NULL,NULL,'WIDTH=20%');                                 
htp.tableData('<b>Sexually abused children, sexually active adolescents','LEFT',
NULL,NULL,NULL,NULL,NULL,'WIDTH=20%');                                          
  */                                                                              
htp.tableRowOpen('CENTER','MIDDLE');                                            
htp.tableHeader('<font color=green>Predisposing Factors');                      
htp.tableData('<b>Fall, Winter, Spring');                                       
htp.tableData('<b>Summer');                                                     
htp.tableData;                                                                  
htp.tableData('<b>Fall and  Winter, exposure to GAGHS','LEFT');                 
htp.tableData('<b>Engaging in oral sex with infected individual','LEFT');       
htp.tableRowOpen('CENTER','MIDDLE');                                            
htp.tableHeader('<font color=green>Onset');                                     
htp.tableData('<b>Gradual');                                                    
htp.tableData('<b>Follows fever');                                              
htp.tableData('<b>Gradual (85% present with sore throat)','LEFT');              
htp.tableData('<b>Abrupt');                                                     
htp.tableData('<b>Gradual');                                                    
htp.tableRowOpen('CENTER','MIDDLE');                                            
htp.tableHeader('<font color=green>Fever');                                     
htp.tableData('<b>Low grade or absent');                                        
htp.tableData('<b>Abrupt onset of moderate to high fever','LEFT');              
htp.tableData('<b>Low grade');                                                  
htp.tableData('<b>moderate grade');                                             
htp.tableData('<b>Absent');                                                     
htp.tableRowOpen('CENTER','MIDDLE');                                            
htp.tableHeader('<font color=green>Associated with URI');                       
htp.tableData('<b>Yes');                                                        
htp.tableData('<b>Negative');                                                   
htp.tableData('<b>Negative');                                                   
htp.tableData('<b>Negative');                                                   
htp.tableData('<b>Negative');                                                   
htp.tableRowOpen('CENTER','MIDDLE');                                            
htp.tableHeader('<font color=green>Pharyngeal erythema');                       
htp.tableData('<b>Mild');                                                       
htp.tableData('<b>Mild-Moderate');                                              
htp.tableData('<b>Mild-severe');                                                
htp.tableData('<b>moderate-severe');                                            
htp.tableData('<b>Minimal');                                                    
htp.tableRowOpen('CENTER','MIDDLE');                                            
htp.tableHeader('<font color=green>Tonsillar enlargement');                     
htp.tableData('<b>Minimal');                                                    
htp.tableData('<b>Negative');                                                   
htp.tableData('<b>Mild-severe');                                                
htp.tableData('<b>moderate-severe');                                            
htp.tableData('<b>Minimal');                                                    
htp.tableRowOpen('CENTER','MIDDLE');                                            
htp.tableHeader('<font color=green>Exudate');                                   
htp.tableData('<b>50%');                                                        
htp.tableData('<b>Negative');                                                   
htp.tableData('<b>33%, may be extensive');                                      
htp.tableData('<b>50% - 80%');                                                  
htp.tableData('<b>Minimal');                                                    
htp.tableRowOpen('CENTER','MIDDLE');                                            
htp.tableHeader('<font color=green>Vesicles/ulcers');                           
htp.tableData('<b>Negative');                                                   
htp.tableData('<b>Positive, involving anterior tonsillar pillars, soft palate,  
tonsills, and uvula ','LEFT');                                                  
htp.tableData('<b>Negative');                                                   
htp.tableData('<b>Negative');                                                   
htp.tableData('<b>Negative');                                                   
htp.tableRowOpen('CENTER','MIDDLE');                                            
htp.tableHeader('<font color=green>Rash');                                      
htp.tableData('<b>Negative');                                                   
htp.tableData('<b>Vesicles/ulcers on palms of hands/soles of feet suggests      
hand-foot-mouth disease','LEFT');                                               
htp.tableData('<b>Erthythematous, maculopapular rash 3-5 days following onset','LEFT');                                                                 
htp.tableData('<b>Scarletinaform (if associated with scarlet fever)','LEFT');   
htp.tableData('<b>Negative');                                                   
htp.tableRowOpen('CENTER','MIDDLE');                                            
htp.tableHeader('<font color=green>Other findings');                            
htp.tableData('<b>General malaise Cervical lymphadenopathy','LEFT');            
htp.tableData('<b>Dysphasia 2-3 days following fever. May be severe','LEFT');   
htp.tableData('<b>Palatal petechiae (early) Posterior cervical lymphadenopathy  
(early)<P> <b>Generalized lymphadenopathy (later) Abdominal pain                
<P>Nausea/vomiting <P>anorexia <P> Headache <P> Splenomegaly - 70% <P>          
Hepatomegaly - 50%','LEFT');                                                    
htp.tableData('<b>Palatal petechiae Anterior cervical lymphadenopathy -30-50%
 Abdominal pain <P> Nausea/vomiting/ <P> anorexia <P>Headache <P> Dysphasia ','LEFT');                                                            
htp.tableData('<b>Cervical lymphadenopathy may be present ','LEFT');            
htp.tableRowOpen('CENTER','MIDDLE');                                            
htp.tableHeader('<font color=green>Complications');                             
htp.tableData;                                                                  
htp.tableData('<b>Dehydration');                                                
htp.tableData;                                                                  
htp.tableData('<b>AOM, lymphadenitis, peritonsillar abscess, ARF,AGN','LEFT');  
htp.tableData('<b>Disseminated gonococcemia','LEFT');                           
htp.tableClose;                                                                 
htp.nl;                                                                         
htp.hr;                                                                         
htp.p('<i><b>Information pages developed by Maureen L. Thompson RN, PhD, Syracuse 
University College of Nursing. <a href=mailto:mlthomps@syr.edu>mlthomps@syr.edu</a></i></b>');                                                                
                                                                                
htp.bodyClose;                                                                  
htp.htmlClose;                                                                  
end;                                                                            
.
/
show errors
