--------------------------------------------------------------------------
-- CareWeb schools
--------------------------------------------------------------------------

drop sequence cw_school_seq;
drop table cw_school_table;

create table cw_school_table (
id		number(6)	primary key,
name		varchar2(32),	-- school name
lev		varchar2(32),	-- school level
district	varchar2(32),	-- school district
media_url	varchar2(128),	-- dir with photo.gif, sound.ra, video.mpeg
street		varchar2(32),	-- e.g. '201 Physics Building'
city		varchar2(32),	-- e.g. 'Syracuse'
state		varchar2(2),	-- e.g. 'NY'
zip		varchar2(32),	-- e.g. '13244-1130'
county		varchar2(32),	-- e.g. 'Onondaga'
country		varchar2(32),	-- e.g. 'U.S.A'
phone		varchar2(32),	-- e.g. '(315) 443-3891'
fax		varchar2(32),	-- e.g. '(315) 443-9103'
email		varchar2(32),	-- e.g. furm@npac.syr.edu
url		varchar2(128),	-- school home page
description	varchar2(2000),	-- school note
comments	varchar2(2000)	-- our note about this school
);

create sequence cw_school_seq;
