-----------------------------------------------------------------------------
create or replace package cw_student_util is
-----------------------------------------------------------------------------
procedure record_table(cookie in varchar2, r in cw_student_table%rowtype);
end;
/
show errors
------------------------------------------------------------------------------
create or replace package body cw_student_util is
------------------------------------------------------------------------------ 
procedure record_table(cookie in varchar2, r in cw_student_table%rowtype) is
begin
   htp.tableOpen(cattributes=>'border=5');

   htp.tableRowOpen;
   htp.tableHeader('Record Component');
   htp.tableHeader('Count');
   htp.tableHeader('Status');
   htp.tableHeader(' ');
   htp.tableHeader('Record Component');
   htp.tableHeader('Count');
   htp.tableHeader('Status');
   htp.tableHeader(' ');
   htp.tableRowClose;

   htp.tableRowOpen;
   htp.tableData(htf.anchor(
	'cw_careinfo_mgr.home_cmd?cookie='||cookie,
	'Base Care Information'));
   htp.tableData(to_char(0)); 
   htp.tableData('Empty');
   htp.tableData('');
   htp.tableData(htf.anchor(
	'cw_visit_mgr.home_cmd?cookie='||cookie,
	'Visit Logs'));
   htp.tableData(to_char(0)); 
   htp.tableData('Empty');
   htp.tableData('');
   htp.tableRowClose;

   htp.tableRowOpen;
   htp.tableData(htf.anchor(
	'cw_immun_mgr.home_cmd?cookie='||cookie,
	'Immunizations'));
   htp.tableData(to_char(0)); 
   htp.tableData('Empty');
   htp.tableData('');
   htp.tableData(htf.anchor(
	'cw_assess_mgr.home_cmd?cookie='||cookie,
	'Assessment Forms'));
   htp.tableData(to_char(0)); 
   htp.tableData('Empty');
   htp.tableData('');
   htp.tableRowClose;


   htp.tableRowOpen;
   htp.tableData(htf.anchor(
	'cw_basescr_mgr.home_cmd?cookie='||cookie,
	'Screening Tests'));
   htp.tableData(to_char(0)); 
   htp.tableData('Empty');
   htp.tableData('');
   htp.tableData(htf.anchor(
	'cw_prognote_mgr.home_cmd?cookie='||cookie,
	'Progress Notes'));
   htp.tableData(to_char(0)); 
   htp.tableData('Empty');
   htp.tableData('');
   htp.tableRowClose;

   htp.tableRowOpen;
   htp.tableData(htf.anchor(
	'cw_physscr_mgr.home_cmd?cookie='||cookie,
	'Physical Screening'));
   htp.tableData(to_char(0)); 
   htp.tableData('Empty');
   htp.tableData('');
   htp.tableData(htf.anchor(
	'cw_growth_mgr.home_cmd?cookie='||cookie,
	'Growth Charts'));
   htp.tableData(to_char(0)); 
   htp.tableData('Empty');
   htp.tableData('');
   htp.tableRowClose;

   htp.tableRowOpen;
   htp.tableData(htf.anchor(
	'cw_develscr_mgr.home_cmd?cookie='||cookie,
	'Developmental Screening'));
   htp.tableData(to_char(0)); 
   htp.tableData('Empty');
   htp.tableData('');
   htp.tableData(htf.anchor(
	'cw_hplan_mgr.home_cmd?cookie='||cookie,
	'Health Plan'));
   htp.tableData(to_char(0)); 
   htp.tableData('Empty');
   htp.tableData('');
   htp.tableRowClose;

   htp.tableRowOpen;
   htp.tableData(htf.anchor(
	'cw_hhistory_mgr.home_cmd?cookie='||cookie,
	'Health History'));
   htp.tableData(to_char(0)); 
   htp.tableData('Empty');
   htp.tableData('');
   htp.tableData(htf.anchor(
	'cw_medicat_mgr.home_cmd?cookie='||cookie,
	'Medications'));
   htp.tableData(to_char(0)); 
   htp.tableData('Empty');
   htp.tableData('');
   htp.tableRowClose;

   htp.tableClose;
end;
------------------------------------------------------------------------------ 
end;
/
show errors
